<?php
add_action('widgets_init', 'affilo_social_counter_load_widgets');

function affilo_social_counter_load_widgets()
{
	register_widget('Affilo_Social_Counter_Widget');
}

class Affilo_Social_Counter_Widget extends WP_Widget {
	
	function Affilo_Social_Counter_Widget() {
		$widget_ops = array(
			'classname' => 'affilo_social_counter',
			'description' => 'Show number of RSS subscribes, twitter followers and facebook fans.');
		$control_ops = array('id_base' => 'affilo_social_counter-widget');
		$this->WP_Widget('affilo_social_counter-widget', 'AffiloTheme Social Counter', $widget_ops, $control_ops);
	}
	
	function widget($args, $instance) {
		extract($args);
		$cache_time = 3600;
		echo $before_widget;
		?>
		<div class="social-item">
			<a href='<?php echo get_bloginfo('rss2_url'); ?>'><img src="<?php echo get_stylesheet_directory_uri(); ?>/images/rss-big.png" alt="RSS"  width='32' height='32' /></a>
			<span class="social-count"><?php _e('Subscribe', 'Affilo'); ?></span>
			<span class="social-descrip"><?php _e('to RSS Feed', 'Affilo'); ?></span>
		</div>
		
		<?php if(isset($instance['twitter_id'])) : ?>
		<div class="social-item">
			<a href='http://twitter.com/<?php echo $instance['twitter_id']; ?>'><img src="<?php echo get_stylesheet_directory_uri(); ?>/images/twitter-big.png" alt="Twitter"  width='32' height='32' /></a>
			<?php
			$trans_name = "affilo_social_counter_twitter_count";
			if(!$twitter_count = get_transient($trans_name)) {
				@$api = wp_remote_get('https://api.twitter.com/1/statuses/user_timeline/'.$instance['twitter_id'].'.json');
				@$json = json_decode($api['body']);
				if (isset($json->errors)) {
					$twitter_count = 0;
				} else {
					$twitter_count = $json[0]->user->followers_count;
				}
				set_transient($trans_name, $twitter_count, $cache_time);
			} ?>
			<span class="social-count"><?php echo $twitter_count; ?></span>
			<span class="social-descrip"><?php _e('Followers', 'Affilo'); ?></span>
		</div>
		<?php endif; ?>
		
		<?php if(isset($instance['fb_id'])): ?>
		<div class="social-item last">
			<?php
			$trans_name = "affilo_social_counter_fb_";
			if((!$fb_likes = get_transient($trans_name."likes")) ||
			   (!$fb_link = get_transient($trans_name."link"))) {
				@$api = wp_remote_get('http://graph.facebook.com/'.$instance['fb_id']);
				@$json = json_decode($api['body']);
				if($json->likes >= 1) {
					$fb_likes = $json->likes;
					$fb_link = $json->link;
					set_transient($trans_name."likes",$fb_likes,$cache_time);
					set_transient($trans_name."link",$fb_link,$cache_time);
				}
			}
			?>
			
			<a href='<?php echo $fb_link; ?>'><img src="<?php echo get_stylesheet_directory_uri(); ?>/images/facebook-big.png" alt="Facebook"  width='32' height='32' /></a>
			
			<span class="social-count"><?php echo $fb_likes; ?></span>
			<span class="social-descrip"><?php _e('Fans', 'Affilo'); ?></span>
		</div>
		<?php endif; ?>
		<!-- END WIDGET -->
		<?php
		echo $after_widget;
	}
	
	function update($new_instance, $old_instance) {
		$instance = $old_instance;
		$instance['twitter_id'] = strip_tags($new_instance['twitter_id']);
		$instance['fb_id'] = strip_tags($new_instance['fb_id']);
		return $instance;
	}

	function form($instance) {
		$twitter_id = ($instance) ? esc_attr($instance['twitter_id']) : "" ;
		$fb_id = ($instance) ? esc_attr($instance['fb_id']) : "" ;
		?>
<p>
	<label for="<?php echo $this->get_field_id('twitter_id'); ?>"><?php _e('Twitter username:'); ?></label> 
	<input class="widefat" id="<?php echo $this->get_field_id('twitter_id'); ?>" name="<?php echo $this->get_field_name('twitter_id'); ?>" type="text" value="<?php echo $twitter_id; ?>" />
</p>
<p>
	<label for="<?php echo $this->get_field_id('fb_id'); ?>"><?php _e('Facebook username:'); ?></label> 
	<input class="widefat" id="<?php echo $this->get_field_id('fb_id'); ?>" name="<?php echo $this->get_field_name('fb_id'); ?>" type="text" value="<?php echo $fb_id; ?>" />
</p>
		<?php 
		
	}
}
?>
