<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains both current comments
 * and the comment form.  The actual display of comments is
 * handled by a callback to brainbuzzmedia_comment which is
 * located in the functions.php file.
 */
?>

<div id="comments">
<?php if ( post_password_required() ) : ?>
				<p><?php _e( 'This post is password protected. Enter the password to view any comments.', 'brainbuzzmedia' ); ?></p>
<?php
		/* Stop the rest of comments.php from being processed,
		 * but don't kill the script entirely -- we still have
		 * to fully load the template.
		 */
		return;
	endif;
?>

<?php if ( have_comments() ) : ?>
			<!-- STARKERS NOTE: The following h3 id is left intact so that comments can be referenced on the page -->
			<h5 class="regcase mt25 mb5" id="comments-title"><?php
			printf( _n( 'One Comment', '%1$s Comments', get_comments_number(), 'brainbuzzmedia' ),
			number_format_i18n( get_comments_number() ), '' . get_the_title() . '' );
			?></h5>
			<div class="bar mb30"></div>

<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
				<?php previous_comments_link( __( '&larr; Older Comments', 'brainbuzzmedia' ) ); ?>
				<?php next_comments_link( __( 'Newer Comments &rarr;', 'brainbuzzmedia' ) ); ?>
<?php endif; // check for comment navigation ?>

<ol class="commentlist">
<?php wp_list_comments(); ?>
</ol>


<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
				<?php previous_comments_link( __( '&larr; Older Comments', 'brainbuzzmedia' ) ); ?>
				<?php next_comments_link( __( 'Newer Comments &rarr;', 'brainbuzzmedia' ) ); ?>
<?php endif; // check for comment navigation ?>

<?php else : // or, if we don't have comments:

	/* If there are no comments and comments are closed,
	 * let's leave a little note, shall we?
	 */
	if ( ! comments_open() ) :
?>
	<p><?php _e( 'Comments are closed.',"affilo" ); ?></p>
<?php endif; // end ! comments_open() ?>

<?php endif; // end have_comments() ?>
<?php if (comments_open()) : ?>
<div id="respond">

<h5 class="regcase mt25 mb5" id="reply-title"><?php comment_form_title( 'Leave a Reply', 'Leave a Reply to %s' ); ?></h5>
<div class="bar mb30"></div>

<div class="cancel-comment-reply">
	<small><?php cancel_comment_reply_link(); ?></small>
</div>

<?php if ( get_option('comment_registration') && !is_user_logged_in() ) : ?>
<p>You must be <a href="<?php echo wp_login_url( get_permalink() ); ?>">logged in</a> to post a comment.</p>
<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

<?php if ( is_user_logged_in() ) : ?>

<p>Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="Log out of this account">Log out &raquo;</a></p>

<?php else : ?>

<p><input type="text" name="author" id="author" value="<?php echo esc_attr($comment_author); ?>" size="22" tabindex="1" />
<label for="author"><small>Name <?php if ($req) echo "*"; ?></small></label></p>

<p><input type="text" name="email" id="emailaddress" value="<?php echo esc_attr($comment_author_email); ?>" size="22" tabindex="2" />
<label for="email"><small>E-mail <?php if ($req) echo "*"; ?></small></label></p>

<p><input type="text" name="url" id="url" value="<?php echo esc_attr($comment_author_url); ?>" size="22" tabindex="3" />
<label for="url"><small>Website</small></label></p>

<?php endif; ?>

<!--<p><small><strong>XHTML:</strong> You can use these tags: <code><?php echo allowed_tags(); ?></code></small></p>-->

<p><textarea name="comment" id="comment" cols="40" rows="5" tabindex="4"></textarea></p>

<p class="submit"><input name="submit" type="submit" id="submit" tabindex="5" value="Submit Comment" />
<?php comment_id_fields(); ?>
</p>
<?php do_action('comment_form', $post->ID); ?>

</form>

<?php endif; // If registration required and not logged in ?>

<div class="clear"></div>
</div>
<?php else: ?>
<p><?php _e( 'Comments are closed.',"affilo" ); ?></p>
<?php endif; ?>
</div><!-- end div#comments -->