<?php
include("includes/init.php");

class Affilo_Class extends Affilo_Childtheme {
	
	public $hooks = array(
		"init" => array(
			//"init_theme_options"
		),
		"affilo_primary_nav_extras" => array(
			"admin_nav_extras"
		),
		"affilo_secondary_nav_extras" => array(
			"admin_nav_extras"
		),
		
		"before_affilo_navigation_settings_init" => array(
			//"navigation_settings_init"
		),
		"affilo_init" => array(
			"remove_layouts_style"
		),
		"affilo_theme_after_init_population" => array(
			"theme_init_population"
		)
	);
	
	function init_theme_options() {
		remove_action('affilo_footer', 'affilo_footer_left_right', 15);
	}
	
	function remove_layouts_style() {
		wp_deregister_style("layouts");
	}
	
	
	function admin_nav_extras() {
		return array(
			'disabled' => __('Disabled', 'affilo')
		);
	}
	
	
	function maincolumn_grid_classes() {
		switch(affilo_get_layout()) :
			case "layout-three-col-both":
				//4-4-4
				$classes = "push_4 grid_4";
				break;
			case "layout-one-col":
				//12
				$classes = "grid_12";
				break;
			case "layout-two-col-left":
				//4-8
				$classes = "push_4 grid_8";
				break;
			case "layout-two-col-right":
				//8-4
				$classes = "grid_8";
				break;
			case "layout-three-col-left":
				//4-4-4
				$classes = "grid_4 push_8";
				break;
			case "layout-three-col-right":
				//4-4-4
				$classes = "grid_4";
				break;
			default:
				$classes = affilo_get_layout();
			endswitch;
		return $classes;
	}
	
	function maincolumn_image_width() {
		switch(affilo_get_layout()):
			case "layout-one-col":
				$width = 940;
				break;
			case "layout-two-col-left":
			case "layout-two-col-right":
				$width = 620;
				break;
			case "layout-three-col-both":
			case "layout-three-col-left":
			case "layout-three-col-right":
				$width = 300;
				break;
			default:
				$width = 600;
			endswitch;
		return $width;
	}
	
	function primary_sidebar_grid_classes() {
		switch(affilo_get_layout()) :
			case "layout-three-col-both":
				$classes = "grid_4 pull_4";
				break;
			case "layout-one-col":
				$classes = "hidden";
				break;
			case "layout-two-col-left":
				$classes = "grid_4 pull_8";
				break;
			case "layout-two-col-right":
				$classes = "grid_4";
				break;
			case "layout-three-col-left":
				$classes = "grid_4 pull_4";
				break;
			case "layout-three-col-right":
				$classes = "grid_4";
				break;
			default:
				$classes = affilo_get_layout();
			endswitch;
		return $classes;
	}
	
	function secondary_sidebar_grid_classes() {
		switch(affilo_get_layout()) :
			case "layout-three-col-both":
				$classes = "grid_4";
				break;
			case "layout-one-col":
				$classes = "hidden";
				break;
			case "layout-two-col-left":
				$classes = "hidden";
				break;
			case "layout-two-col-right":
				$classes = "hidden";
				break;
			case "layout-three-col-left":
				$classes = "grid_4 pull_4";
				break;
			case "layout-three-col-right":
				$classes = "grid_4";
				break;
			default:
				$classes = affilo_get_layout();
			endswitch;
		return $classes;
	}
	
	
	function theme_init_population() {
		$affilo_options = array(
			"primary_nav-enable-home" => "true",
			"home_layout" => "two-col-right",
			"layout" => "two-col-right"
		);
		
		foreach($affilo_options as $key => $val) {
			affilo_update_option($key, $val);
		}
		
		$new_sidebars_widgets = array(
			"primary_widget_area" => array(
				"recent-posts-2", //just moves the existing instance
				"text-2" => array(
					"widget_text" => array(
						2 => array(
							"title"			=> "",
							"text" 			=> '<div class="note"><strong>NOTE:</strong> It\'s easy to make the regular text widget look like this. Simply wrap it in a div class called note, and you are done. <br><br>It could come in handy if you have some important announcement, or simply want to introduce yourself.</div>'
						),
						"_multiwidget" 	=> 1
					)
				),
				
				"recent-posts-2",
				
				"search-widget-2" => array(
					"widget_search-widget" => array(
						2 => array(
							"title" 		=> "",
							"search-input" 	=> "Search",
							"search-button" => "Search"
						),
						"_multiwidget" 	=> 1
					)
				)
			),
			"footer_widget_area_1" => array(
				"stay-connected-widget-2" => array(
					"widget_stay-connected-widget" => array(
						2 => array(
							"title" 		=> "Stay Connected",
							"intro" 		=> "",
							"rss" 			=> null,
							"comment_rss" 	=> null,
							"twitter" 		=> "twitter-user",
							"facebook"		=> "facebook-user",
							"delicious" 	=> "delicious",
							"flickr" 		=> "flickr",
							"youtube" 		=> "",
							"vimeo" 		=> "vm",
							"digg" 			=> "digg",
							"linkedin" 		=> "li",
							"linksopen" 	=> "",
							"display" 		=> "icon"
						),
						"_multiwidget" 	=> 1
					)
				),
				"text-3" => array(
					"widget_text" => array(
						3 => array(
							"title"			=> "About this site",
							"text" 			=> '<p>Glide is a fresh new theme suited for business and portfolio sites. It gives you the power to customize it to your hearts content without touching the template files at all</p>'
						),
						"_multiwidget" 	=> 1
					)
				),
			),
			"footer_widget_area_2" => array(
				"recent-comments-2"
			),
			"footer_widget_area_3" => array(
				"archives-2"
			),
			"footer_widget_area_4" => array(
				
			)
		);
		
		Affilo::populate_sidebars_widgets($new_sidebars_widgets);
	}
	
}

Affilo_Class::init("Affilo_Class");

?>