<?php

add_filter("the_post", "affilo_peak_update_shortcodes");

function affilo_peak_update_shortcodes() {
	remove_shortcode('author');
	remove_shortcode('categories');
	remove_shortcode('comments');
	remove_shortcode('date');
	remove_shortcode('time');
	remove_shortcode('edit');
	
	add_shortcode('author', "affilo_peak_author_shortcode");
	add_shortcode('categories', "affilo_peak_categories_shortcode");
	add_shortcode('comments', "affilo_peak_comments_shortcode");
	add_shortcode('date', "affilo_peak_date_shortcode");
	add_shortcode('time', "affilo_peak_time_shortcode");
	add_shortcode('edit', "affilo_peak_edit_shortcode");
}

function affilo_peak_author_shortcode() {
	ob_start();
	the_permalink();
	return "<li class=\"author\"><a href=\"".ob_get_clean()."\">".
		"<i class=\"icon\"></i>by ".get_the_author()."</a></li>";
}

function affilo_peak_categories_shortcode() {
	return '<li class="categories">'.get_the_category_list(', ') . '</li>';
}

function affilo_peak_comments_shortcode() {
	ob_start();
	comments_number('0','1','%');
	return "<li class=\"comment-count\"><a href=\"".get_comments_link()."\">".
		"<i class=\"icon\"></i>".ob_get_clean()."</a></li>";
}
	
function affilo_peak_date_shortcode() {
	ob_start();
	the_permalink();
	return "<li class=\"published\"><a href=\"".ob_get_clean()."\">".
		"<i class=\"icon\"></i>".get_the_time('F j, Y')."</a></li>";
}

function affilo_peak_time_shortcode() {
	ob_start();
	the_permalink();
	return "<li class=\"time\"><a href=\"".ob_get_clean()."\">".
		"<i class=\"icon\"></i>".get_the_time()."</a></li>";
}

function affilo_peak_edit_shortcode() {
	if(current_user_can('edit_posts')) {
		return "<li class=\"edit\"><a href=\"".get_edit_post_link()."\"><i class=\"icon\"></i>".__('Edit', 'affilo')."</a></li>";
	}
}