<?php
add_action('widgets_init', 'glide_twitter_load');
function glide_twitter_load() {
	register_widget('Glide_Twitter_Widget');
}

class Glide_Twitter_Widget extends WP_Widget {
	
	function Glide_Twitter_Widget() {
		parent::WP_Widget(false, $name = 'Affilo Twitter Widget');	
	}

	/**
	 * How to display the widget on the screen.
	 */
    function widget($args, $instance) {		
		extract( $args );
        $title = apply_filters('widget_title', $instance['title']);
		
	    $twitter_id = $instance['twitter_id'];
	    $no_tweets = ($instance['no_tweets']) ? $instance['no_tweets'] : 3;
		
		$rand_no = rand(0,100);

		/* Before widget (defined by themes). */
		echo $before_widget;

		?>
		
		<?php if ( $title ) echo $before_title . $title . $after_title; ?>
		<script	 src="http://twitterjs.googlecode.com/files/twitter-1.13.1.min.js"  type="text/javascript"></script>
		<div class="twitter-list" id="twitter_update_list<?php echo '-'.$rand_no; ?>"><?php _e("Twitter feed loading", "Affilo"); ?></div>

<div class="clear"></div>
<script type="text/javascript">
getTwitters('twitter_update_list<?php echo '-'.$rand_no; ?>', { 
  id: '<?php echo $twitter_id; ?>', 
  count: <?php echo $no_tweets; ?>, 
  enableLinks: true, 
  ignoreReplies: true, 
  clearContents: true,
  template: '<div class="sidebar-twitter-top"></div><div class="sidebar-twitter-middle">%text% <a class="twitter-time" href="http://twitter.com/%user_screen_name%/statuses/%id_str%/">%time%</a></div><div class="sidebar-twitter-bottom"></div>'
});
</script>


	<?php

		/* After widget (defined by themes). */
		echo $after_widget;
	}

	/**
	 * Update the widget settings.
	 */
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['twitter_id'] = strip_tags($new_instance['twitter_id']);
		$instance['no_tweets'] = strip_tags($new_instance['no_tweets']);

		return $instance;
	}

	/**
	 * Displays the widget settings controls on the widget panel.
	 * Make use of the get_field_id() and get_field_name() function
	 * when creating your form elements. This handles the confusing stuff.
	 */
	function form( $instance ) {

        $title = esc_attr($instance['title']);
        $twitter_id = esc_attr($instance['twitter_id']);
        $no_tweets = esc_attr($instance['no_tweets']);
?>
 <p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'versopress'); ?> <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></label></p>
 
 <p><label for="<?php echo $this->get_field_id('twitter_id'); ?>"><?php _e('Twitter Username:', 'versopress'); ?> <input class="widefat" id="<?php echo $this->get_field_id('twitter_id'); ?>" name="<?php echo $this->get_field_name('twitter_id'); ?>" type="text" value="<?php echo $twitter_id; ?>" /></label></p>	

 <p><label for="<?php echo $this->get_field_id('no_tweets'); ?>"><?php _e('No. of Tweets:', 'versopress'); ?> <input class="widefat" id="<?php echo $this->get_field_id('no_tweets'); ?>" name="<?php echo $this->get_field_name('no_tweets'); ?>" type="text" value="<?php echo $no_tweets; ?>" /></label></p>	

	<?php
	}
	
}
