<?php
include("includes/init.php");

class Affilo_Peak extends Affilo_Childtheme {
	
	public $hooks = array(
		"init" => array(
			//"init_theme_options"
		),
		"affilo_primary_nav_extras" => array(
			"admin_nav_extras"
		),
		"affilo_secondary_nav_extras" => array(
			"admin_nav_extras"
		),
		"before_affilo_navigation_settings_init" => array(
			//"navigation_settings_init"
		),
		"affilo_init" => array(
			"remove_layouts_style"
		),
		"affilo_theme_after_init_population" => array(
			"theme_init_population"
		),
		"affilo_widget_tabbed_posts_header" => array(
			"widget_tabbed_posts_header"
		)
	);
	
	function init_theme_options() {
		remove_action('affilo_footer', 'affilo_footer_left_right', 15);
	}
	
	function remove_layouts_style() {
		wp_deregister_style("layouts");
	}
	
	
	function admin_nav_extras() {
		return array(
			'disabled' => __('Disabled', 'affilo')
		);
	}
	
	
	function maincolumn_grid_classes() {
		switch(affilo_get_layout()) :
			case "layout-three-col-both":
				//3-6-3
				$classes = "push_3 grid_6";
				break;
			case "layout-one-col":
				//12
				$classes = "grid_12";
				break;
			case "layout-two-col-left":
				//3-9
				$classes = "push_3 grid_9";
				break;
			case "layout-two-col-right":
				//9-3
				$classes = "grid_9";
				break;
			case "layout-three-col-left":
				//6-3-3
				$classes = "grid_6 push_6";
				break;
			case "layout-three-col-right":
				//3-3-6
				$classes = "grid_6";
				break;
			default:
				$classes = affilo_get_layout();
			endswitch;
		return $classes;
	}
	
	function maincolumn_image_width() {
		switch(affilo_get_layout()):
			case "layout-one-col":
				$width = 940;
				break;
			case "layout-two-col-left":
			case "layout-two-col-right":
				$width = 700;
				break;
			case "layout-three-col-both":
			case "layout-three-col-left":
			case "layout-three-col-right":
				$width = 460;
				break;
			default:
				$width = 600;
			endswitch;
		return $width;
	}
	
	function primary_sidebar_grid_classes() {
		switch(affilo_get_layout()) :
			case "layout-three-col-both":
				$classes = "grid_3 pull_6";
				break;
			case "layout-one-col":
				$classes = "hidden";
				break;
			case "layout-two-col-left":
				$classes = "grid_3 pull_9";
				break;
			case "layout-two-col-right":
				$classes = "grid_3";
				break;
			case "layout-three-col-left":
				$classes = "grid_3 pull_6";
				break;
			case "layout-three-col-right":
				$classes = "grid_3";
				break;
			default:
				$classes = affilo_get_layout();
			endswitch;
		return $classes;
	}
	
	function secondary_sidebar_grid_classes() {
		switch(affilo_get_layout()) :
			case "layout-three-col-both":
				$classes = "grid_3";
				break;
			case "layout-one-col":
				$classes = "hidden";
				break;
			case "layout-two-col-left":
				$classes = "hidden";
				break;
			case "layout-two-col-right":
				$classes = "hidden";
				break;
			case "layout-three-col-left":
				$classes = "grid_3 pull_6";
				break;
			case "layout-three-col-right":
				$classes = "grid_3";
				break;
			default:
				$classes = affilo_get_layout();
			endswitch;
		return $classes;
	}
	
	
	function theme_init_population() {
		$affilo_options = array(
			"primary_nav-enable-home" => "true",
			"home_layout" => "two-col-right",
			"layout" => "two-col-right"
		);
		
		foreach($affilo_options as $key => $val) {
			affilo_update_option($key, $val);
		}
		
		$new_sidebars_widgets = array(
			"primary_widget_area" => array(
				"recent-posts-2", //just moves the existing instance
				"text-2" => array(
					"widget_text" => array(
						2 => array(
							"title"			=> "",
							"text" 			=> '<div class="note"><strong>NOTE:</strong> It\'s easy to make the regular text widget look like this. Simply wrap it in a div class called note, and you are done. <br><br>It could come in handy if you have some important announcement, or simply want to introduce yourself.</div>'
						),
						"_multiwidget" 	=> 1
					)
				),
				
				"affilo_tabbed_posts-3" => array(
					"widget_affilo_tabbed_posts" => array(
					3 => array(),
						"_multiwidget" 	=> 1
					)
				),
				
				"search-widget-2" => array(
					"widget_search-widget" => array(
						2 => array(
							"title" 		=> "",
							"search-input" 	=> "Search",
							"search-button" => "Search"
						),
						"_multiwidget" 	=> 1
					)
				)
			),
			"footer_widget_area_1" => array(
				"stay-connected-widget-2" => array(
					"widget_stay-connected-widget" => array(
						2 => array(
							"title" 		=> "Stay Connected",
							"intro" 		=> "",
							"rss" 			=> null,
							"comment_rss" 	=> null,
							"twitter" 		=> "twitter-user",
							"facebook"		=> "facebook-user",
							"delicious" 	=> "delicious",
							"flickr" 		=> "flickr",
							"youtube" 		=> "",
							"vimeo" 		=> "vm",
							"digg" 			=> "digg",
							"linkedin" 		=> "li",
							"linksopen" 	=> "",
							"display" 		=> "icon"
						),
						"_multiwidget" 	=> 1
					)
				),
				"text-3" => array(
					"widget_text" => array(
						3 => array(
							"title"			=> "About this site",
							"text" 			=> '<p>Glide is a fresh new theme suited for business and portfolio sites. It gives you the power to customize it to your hearts content without touching the template files at all</p>'
						),
						"_multiwidget" 	=> 1
					)
				),
			),
			"footer_widget_area_2" => array(
				"recent-comments-2"
			),
			"footer_widget_area_3" => array(
				"archives-2"
			),
			"footer_widget_area_4" => array(
				
			)
		);
		
		Affilo::populate_sidebars_widgets($new_sidebars_widgets);
		
		global $wpdb;
		require_once(ABSPATH . 'wp-admin/includes/media.php');
		require_once(ABSPATH . 'wp-admin/includes/file.php');
		require_once(ABSPATH . 'wp-admin/includes/image.php');
		
		$posts = get_posts();
		$all_images = glob(IMAGES_PATH."/theme_assets/photos/*");
		shuffle($all_images);
		$wp_upload_dir = wp_upload_dir();
		$target_dir = $wp_upload_dir['path'].DIRECTORY_SEPARATOR;
		
		
		
		foreach($posts as $post) {
			$tmp_file = array_pop($all_images);
			$filename = $target_dir.basename($tmp_file);
			if(!copy($tmp_file, $filename)) {
				continue;
			}
			
			$wp_filetype = wp_check_filetype(basename($filename), null );
			$attachment = array(
			   'post_mime_type' => $wp_filetype['type'],
			   'post_title' => preg_replace('/\.[^.]+$/', '', basename($filename)),
			   'post_content' => '',
			   'post_status' => 'inherit'
			);
			$attach_id = wp_insert_attachment($attachment, $filename, 37 );
			$attach_data = wp_generate_attachment_metadata( $attach_id, $filename );
			wp_update_attachment_metadata( $attach_id, $attach_data );
			
			$pos = strpos($post->post_content,".")+1;
			$before = substr($post->post_content,0, $pos);
			$after = substr($post->post_content, $pos);
			
			$img_src = wp_get_attachment_image_src($attach_id,"full");
			$url = affilo_timthumb($img_src[0], 700, 300);
			
			$tag = "<p><img class=\"full-width alignnone size-full\" src=\"{$url}\" alt=\"{$post->post_title}\"/></p>";
			
			$post->post_content = $before.$tag.$after;
			wp_update_post(array("ID" => $post->ID, "post_content" => $post->post_content));
		}
		
		if($slide = array_pop(get_posts(array("post_type"=>"slideshow")))) {
			$vars = array(
				"size" => "min",
				"size_custom" => array(
					"width" => "700",
					"height" => "300"
				),
				"size_min" => array(
					"width" => "700",
					"height" => "300"
				),
				"size_max" => array(
					"width" => "700",
					"height" => "300"
				)
			);
			foreach($vars as $key => $val) {
				update_post_meta($slide->ID, $key, $val);
			}
			
		}
	}
	
	function widget_tabbed_posts_header() {
	return <<<HTML

	<div id="recentpoststab" class="single-tab active-tab"><div class="tab-inner-glow">Recent</div><!--glow--></div>
	<div id="popularpoststab" class="single-tab"><div class="tab-inner-glow">Popular</div><!--glow--></div>
	<div id="commentstab" class="comment-tab single-tab"><div class="tab-inner-glow">Comments</div><!--glow--></div>
	<div class="clear"></div>

HTML;
	}
	
}

Affilo_Peak::init("Affilo_Peak");

?>