<?php

include("includes/seventeen-twitter-widget.php");
include("includes/seventeen-twitter-counter.php");

function affilo_seventeen_init() {
	
	//remove the dfeault split footer content, this is embedded direct in footer.php
	remove_action('affilo_footer', 'affilo_footer_left_right', 15);
	
	//enqueue seventeen js
	wp_enqueue_script('affilo_seventeen', get_stylesheet_directory_uri().'/js/seventeen.js ', array('jquery'),'',true);
	
	//filter the primary & secondary menus to modify markeup slightly
	//add_filter('affilo_primary_nav_menu', 'affilo_seventeen_nav_menu_filter');
	//add_filter('affilo_secondary_nav_menu', 'affilo_seventeen_nav_menu_filter');
	
	//remove default breadcrumb placement, this is embedded direct in header.php
	remove_action('affilo_before_content', 'affilo_breadcrumbs', 15 );
	
	//filter page title to add Home as default text o the title bar
	add_filter('affilo_default_page_title', 'affilo_seventeen_page_title');
	
	add_action('after_setup_theme', 'affilo_seventeen_includes', 20);
	
	remove_filter('wp_nav_menu_items', 'affilo_nav_menu_items', 10, 2);
	
	add_filter('wp_nav_menu_items', 'affilo_seventeen_nav_menu_items', 10, 2);
	add_filter("affilo_social_images_url", "affilo_seventeen_social_images_url");
}

add_action('init', 'affilo_seenteen_set_header_options',1);

function affilo_seenteen_set_header_options() {
	affilo_header_settings::$logo_hook = "";
}

function affilo_seventeen_social_images_url() {
	return THEME_URI."/images/icons/";
}


function affilo_seventeen_nav_menu_items($items, $args) {
	$header_classes = array(
		"nav-affilo_before_header",
		"nav-affilo_header",
		"nav-affilo_after_header",
		"nav-affilo_before"
	);
	$count = 0;
	str_replace($header_classes,$header_classes, $args->container_class,$count);
	
	$extra = "";
	
	if($count) {
		if($args->extras == 'social') {
			
			$extra .= "</ul>";
			$extra .= "<ul class='social'>";
			$options = get_option(THEME_OPTIONS);
			$rss = (isset($options[$args->menu_id.'-social-rss'])) ? $options[$args->menu_id.'-social-rss'] : '';
			$services = array(
				'feed'		=> $rss,
				'twitter'	=> $options[$args->menu_id.'-social-twitter'],
				'facebook'	=> $options[$args->menu_id.'-social-facebook']
			);
			$icon_url = get_stylesheet_directory_uri()."/images/icons/header_";
			
			
			foreach ($services as $service => $url) {
				$text = apply_filters("affilo_social_{$service}", sprintf( __('%s', 'affilo'), ucwords($service)));
				if ( $service == 'feed' && isset($url) && $url === 'true') {
					$rss_text = apply_filters('affilo_social_rss', __('Subscribe via RSS', 'affilo'));
					$extra .= '<li>';
					$extra .= '<a class="'.$service.'" href="' . get_bloginfo('rss2_url') . '" target="_blank" title="' . $rss_text . '">';
					$extra .= $text;
					$extra .= '</a></li>';
				} elseif (isset($url) && $url != '') {
					$extra .= '<li>';
					$extra .= '<a class="'.$service.'" href="' . $url . '" target="_blank" title="' . $text . '">';
					$extra .= $text;
					$extra .= '</a></li>';
				}
			}
			$args->extras = null;
		}
	}
	
	return affilo_nav_menu_items($items, $args).$extra;
}

add_action("after_setup_theme", "affilo_seventeen_admin_init");

function affilo_seventeen_admin_init() {
	add_action("affilo_before_admin_init", "affilo_seventeen_admin_options");
	add_filter('affilo_nav_social_services', 'affilo_seventeen_admin_social');
	add_filter('affilo_primary_nav_positions', 'affilo_seventeen_admin_primary_nav_positions');
	add_filter('affilo_secondary_nav_positions', 'affilo_seventeen_admin_primary_nav_positions');
	add_filter('affilo_footer_nav_position', 'affilo_seventeen_admin_footer_nav_position');
	add_filter('affilo_primary_nav_extras', 'affilo_seventeen_admin_primary_nav_extras');
	add_filter('affilo_secondary_nav_extras', 'affilo_seventeen_admin_primary_nav_extras');
	add_action("before_affilo_navigation_settings_init", "affilo_seventeen_navigation_settings_init");
}

function affilo_seventeen_admin_social() {
	return array(
		'rss'		=> __('Include RSS Feed', 'affilo'),
		'twitter'	=> __('Twitter', 'affilo'),
		'facebook'	=> __('Facebook', 'affilo')
	);
}

function affilo_seventeen_admin_primary_nav_positions() {
	return array('affilo_header' => __('Inside Header', 'affilo'));
}

function affilo_seventeen_admin_footer_nav_position() {
	return array(
		'affilo_before_footer' => __('Before Footer Widgets', 'affilo'),
		'affilo_footer' => __('After Footer Widgets', 'affilo')
	);
}

function affilo_seventeen_admin_primary_nav_extras() {
	return array(
		'disabled' => __('Disabled', 'affilo'),
		'social' => __('Social Links', 'affilo')
	);
}

function affilo_seventeen_navigation_settings_init($instance) {
	if(isset($instance->options['secondary_nav'])) {
		unset($instance->options['secondary_nav']);
	}
	if(isset($instance->options['div'])) {
		unset($instance->options['div']);
	}
}

/*
 * Add action hook to affilo init to intialize seventeen theme
 */
add_action('affilo_init', 'affilo_seventeen_init');

function affilo_seventeen_logo() {
	global $affilo_settings_factory;
	$inst = $affilo_settings_factory->settings['affilo_header_settings'];
	return $inst->logo();
}

function affilo_seventeen_includes() {
	$path = get_stylesheet_directory().'/includes/';
	require_once $path.'admin/seventeen.php';
}

function affilo_seventeen_menu(){
	add_submenu_page('affilo_admin', __('seventeen Settings', 'affilotheme'), __('seventeen Settings', 'affilotheme'), 'manage_options', 'affilo_seventeen_settings', 'affilo_seventeen_settings');
}

/**
 * Filter primary and secondary nav menus to insert required markup for this theme
 * 
 * @param string $menu menu markup formatted
 * @return string $menu filtered
 */
function affilo_seventeen_nav_menu_filter($menu) {
	$menu = str_replace(array(
		'</a>',
		'<div class="nav'
	), array(
		'<span class="left"></span></a>',
		'<div class="nav-main nav'
	), $menu);
	return $menu;
}

/**
 * Filters page title to set the default tile to 'Home' if it is not a page.
 * As this theme embeds the page title in the nheader this function also
 * returns a completely empty title on all subsequent calls. This removes the
 * need to remove the title call from all `single` templates.
 * 
 * @param string $title
 * @return string
 */
function affilo_seventeen_page_title($title) {
	static $called = false;
	if ($called) {
		return '';
	}
	if (is_front_page() && preg_match('/\>\</', $title)) {
		$text = 'Home';
		$title = str_replace('><', ">$text<", $title);
	}
	$called = true;
	return $title;
}

function seventeen_remove_layouts_style() {
	wp_deregister_style("layouts");
}
add_action("affilo_init", "seventeen_remove_layouts_style");


function seventeen_maincolumn_grid_classes() {
	switch(affilo_get_layout()) :
		case "layout-three-col-both":
			//6-12-6
			$classes = "push_6 grid_12";
			break;
		case "layout-one-col":
			//24
			$classes = "grid_24";
			break;
		case "layout-two-col-left":
			//6-18
			$classes = "push_6 grid_18";
			break;
		case "layout-two-col-right":
			//18-6
			$classes = "grid_18";
			break;
		case "layout-three-col-left":
			//12-6-6
			$classes = "grid_12 push_12";
			break;
		case "layout-three-col-right":
			//6-6-12
			$classes = "grid_12";
			break;
		default:
			$classes = affilo_get_layout();
		endswitch;
	return $classes;
}

function seventeen_maincolumn_image_width() {
	switch(affilo_get_layout()) :
		case "layout-three-col-both":
		case "layout-three-col-left":
		case "layout-three-col-right":
			$width = 484;
			break;
		case "layout-two-col-left":
		case "layout-two-col-right":
			$width = 742;
			break;
		case "layout-one-col":
			$width = 1000;
			break;
		default:
			$width = 200;
		endswitch;
	return $width;
}

function seventeen_postcolumn_grid_size() {
	switch(affilo_get_layout()) :
		case "layout-three-col-both":
			//6-12-6
			$size = 7;
			break;
		case "layout-one-col":
			//24
			$size = 19;
			break;
		case "layout-two-col-left":
			//6-18
			$size = 13;
			break;
		case "layout-two-col-right":
			//18-6
			$size = 13;
			break;
		case "layout-three-col-left":
			//6-6-12
			$size = 7;
			break;
		case "layout-three-col-right":
			//12-6-6
			$size = 7;
			break;
		default:
			$size = 7;
		endswitch;
	return $size;
}

function seventeen_primary_sidebar_grid_classes() {
	switch(affilo_get_layout()) :
		case "layout-three-col-both":
			$classes = "grid_6 pull_12";
			break;
		case "layout-one-col":
			$classes = "hidden";
			break;
		case "layout-two-col-left":
			$classes = "grid_6 pull_18";
			break;
		case "layout-two-col-right":
			$classes = "grid_6";
			break;
		case "layout-three-col-left":
			$classes = "grid_6 pull_12";
			break;
		case "layout-three-col-right":
			$classes = "grid_6";
			break;
		default:
			$classes = affilo_get_layout();
		endswitch;
	return $classes;
	
}
function seventeen_secondary_sidebar_grid_classes() {
	switch(affilo_get_layout()) :
		case "layout-three-col-both":
			$classes = "grid_6";
			break;
		case "layout-one-col":
			$classes = "hidden";
			break;
		case "layout-two-col-left":
			$classes = "hidden";
			break;
		case "layout-two-col-right":
			$classes = "hidden";
			break;
		case "layout-three-col-left":
			$classes = "grid_6 pull_12";
			break;
		case "layout-three-col-right":
			$classes = "grid_6";
			break;
		default:
			$classes = affilo_get_layout();
		endswitch;
	return $classes;
}


function seventeen_comments( $comment, $args, $depth ) {
	
	$GLOBALS['comment'] = $comment;
	
	switch ($comment->comment_type) : case '' : ?>
		
	<li <?php comment_class('comments-li'); ?> id="li-comment-<?php comment_ID(); ?>">
	
		<div id="comment-<?php comment_ID(); ?>" class="comment-container">
			
			<?php echo get_avatar( $comment, 40, $default='<path_to_url>'); ?>
			
			<div class="comment-body-container border_bottom">
			
				<div class="comment-meta clearfix">
					<h4 class="comment-author"><?php comment_author_link(); ?> says:</h4>
					<span class="postauthor">Post Author</span>
					<span class="comment-date"><?php printf('%1$s at %2$s', get_comment_date(),  get_comment_time() ); ?></span>				
				</div>
			
				<div class="comment-body clearfix">				
					<?php comment_text(); ?>
				</div>
				
				<?php comment_reply_link( array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
				
			</div>
					
		</div>
		
	<?php break;
	
	endswitch;
}


add_action('affilo_theme_after_init_population', "seventeen_theme_init_population");

function seventeen_theme_init_population() {
	
	$affilo_options = array(
		"primary_nav-enable-home" => "true",
		"primary_nav-extras" => "social",
			"primary_nav-social-rss" => "true",
			"primary_nav-social-twitter" => "your-twitter-url",
			"primary_nav-social-facebook" => "your-facebook-url",
		"home_layout" => "three-col-both",
		"layout" => "two-col-left"
	);
	
	foreach($affilo_options as $key => $val) {
		affilo_update_option($key, $val);
	}
	
	$new_sidebars_widgets = array(
		"primary_widget_area" => array(
			"affilo_tabbed_posts-3" => array(
				"widget_affilo_tabbed_posts" => array(
				3 => array(),
					"_multiwidget" 	=> 1
				)
			),
			"text-2" => array(
				"widget_text" => array(
					2 => array(
						"title"			=> "Welcome here.",
						"text" 			=> "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>"
					),
					"_multiwidget" 	=> 1
				)
			),
			"search-widget-2" => array(
				"widget_search-widget" => array(
					2 => array(
						"title" 		=> "",
						"search-input" 	=> "Search",
						"search-button" => "Search"
					),
					"_multiwidget" 	=> 1
				)
			)
		),
		"secondary_widget_area" => array(
			"text-3" => array(
				"widget_text" => array(
					3 => array(
						"title"			=> "Sample Video",
						"text" 			=> '<div class="frame"><iframe width="200" height="113" frameborder="0" src="http://player.vimeo.com/video/27578410?title=0&amp;byline=0&amp;portrait=0"></iframe></div>'
					),
					"_multiwidget" 	=> 1
				)
			),
			"twitter-widget-2" => array(
				"widget_twitter-widget" => array(
					2 => array(
						"title" 	=> "Latest from the Twitter Feed",
						"username" 	=> "affilorama",
						"count" 	=> 3
					),
					"_multiwidget" 	=> 1
				)
			),
			"counter-widget-2" => array(
				"widget_counter-widget" => array(
					2 => array(
						"twitter" => "affilorama"
					),
					"_multiwidget" 	=> 1
				)
			),
			"text-4" => array(
				"widget_text" => array(
					4 => array(
						"title"			=> "",
						"text" 			=> '<img src="'.get_stylesheet_directory_uri().'/images/sample_ad.png" alt="sample ad" />'
					),
					"_multiwidget" 	=> 1
				)
			)
		),
		"footer_widget_area_1" => array(
			"recent-posts-2" //just moves the existing instance
		),
		"footer_widget_area_2" => array(
			"recent-comments-2"
		),
		"footer_widget_area_3" => array(
			"archives-2"
		),
		"footer_widget_area_4" => array(
			"text-5" => array(
				"widget_text" => array(
					5 => array(
						"title"			=> "",
						"text" 			=> '<p><img src="'.get_template_directory_uri().'/images/theme_assets/logo-180.png" alt="default logo" /></p><p>Donec sed lectus a nibh vehicula consequat sed nec dui. Nam id ante ut erat pellentesque auctor eget id nibh. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos.</p>'
					),
					"_multiwidget" 	=> 1
				)
			)
		)
	);
	
	Affilo::populate_sidebars_widgets($new_sidebars_widgets);
	
}

add_action("affilo_widget_tabbed_posts_header", "seventeen_widget_tabbed_posts_header");

function seventeen_widget_tabbed_posts_header() {
	return <<<HTML

	<div id="recentpoststab" class="single-tab active-tab"><div class="tab-inner-glow">Posts</div><!--glow--></div>
	<div id="popularpoststab" class="single-tab"><div class="tab-inner-glow">Popular</div><!--glow--></div>
	<div id="commentstab" class="comment-tab single-tab"><div class="tab-inner-glow">Comments</div><!--glow--></div>
	<div class="clear"></div>

HTML;

}

?>