<?php

add_action('widgets_init', 'seventeen_counter_widget_init');

function seventeen_counter_widget_init() {
	register_widget( 'Seventeen_Twitter_Counter_Widget' );
}

class Seventeen_Twitter_Counter_Widget extends WP_Widget {
	
	function Seventeen_Twitter_Counter_Widget() {
		$widget_ops = array('classname' => 'widget_counter', 'description' => 'Display the number of Twitter and RSS feed subscribers');
		$control_ops = array('id_base' => 'counter-widget' );
		$this->WP_Widget( 'counter-widget', 'Affilotheme Twitter/RSS Counter', $widget_ops, $control_ops );
	}
	
	function widget($args, $instance) {
		extract($args);
		if ($instance['twitter'] || $instance['rss']) {
			
			echo $before_widget; 
			
			if ($instance['rss']) {
				$trans_name = __CLASS__.md5($instance['rss']);
				if(!$count 	= get_transient($trans_name)) {
					@$req 	= wp_remote_get('https://feedburner.google.com/api/awareness/1.0/GetFeedData?uri='.$instance['rss']);
					@$resp 	= simplexml_load_string($req['body']);
					$count 	= (int)$resp->feed->entry['circulation'];
					set_transient($trans_name, $count, 600);
				}
			?>
			<div class="rss-counter">
				<span class="counter-number"><?php echo number_format($count); ?></span>
			</div>
			
			<?php } if ($instance['twitter']) {				
				$trans_name = __CLASS__.md5($instance['twitter']);
				if(!$count 	= get_transient($trans_name)) {
					@$req   = wp_remote_get('https://api.twitter.com/1/statuses/user_timeline.json?screen_name=' . $instance['twitter'] . '&count=1');
					$resp   = json_decode($req['body'], true);
					if (!empty($resp['errors'])) {
						$count = 0;
					} else {
						$count  = $resp[0]['user']['followers_count'];
					}  
					set_transient($trans_name, $count, 600);
				}
			?>
			<div class="twitter-counter">
				<span class="counter-number"><a href="https://twitter.com/<?php echo $instance['twitter']; ?>" title="<?php echo $instance['twitter']; ?>'s Twitter followers"><?php echo number_format($count); ?></a></span>
			</div>
			<?php } echo $after_widget;
		}
	}
	
	function update($new_instance, $old_instance) {
		$instance = $old_instance;
		$instance['twitter'] = strip_tags($new_instance['twitter']);
		$instance['rss'] = strip_tags($new_instance['rss']);
		return $instance;
	}
	
	function form( $instance ) {
		$defaults = array('twitter' => '', 'rss' => '');
		$instance = wp_parse_args((array) $instance, $defaults );
?>
<p>
	<label for="<?php echo $this->get_field_id('rss'); ?>">RSS Feed Name/ID:</label>
	<input type="text" id="<?php echo $this->get_field_id('rss'); ?>" name="<?php echo $this->get_field_name('rss'); ?>" value="<?php echo $instance['rss']; ?>" class="widefat"/>
</p>
<p>
	<label for="<?php echo $this->get_field_id('twitter'); ?>">Twitter Username:</label>
	<input type="text" id="<?php echo $this->get_field_id('twitter'); ?>" name="<?php echo $this->get_field_name('twitter'); ?>" value="<?php echo $instance['twitter']; ?>" class="widefat"/>
</p>	
<?php
	}
}

?>