<?php
	class affilo_analytics_settings extends affilo_settings {

		function affilo_analytics_settings() {
			$this->name = __( 'Google Analytics/Tracking Code', 'affilo');
			$this->slug = 'affilo_analytics_settings';
			$this->description = __( 'Paste in your tracking codes for your preferred site statistics software (like Google Analytics).', 'affilo' );
			$this->location = 'secondary';
			$this->priority = 'core';
			$this->options = array(
				'analytics' => array(
						'type'	=> 'textarea',
						'label'	=> sprintf( __('Enter your %s or tracking code.'), '<a href="http://www.google.com/analytics" target="_blank">analytics</a>' ),
						'sanitize'	=> false
					)
			);
			parent::__construct();
		}


		function output() {
			if ( affilo_get_option( 'analytics' ) ) {
				echo "\n\n".'<!-- BEGIN Analytics-->'."\n";
				echo affilo_get_option( 'analytics' )."\n";
				echo '<!-- END Analytics-->'."\n";
			}
		}
		
		function hooks() {
			add_action('wp_head', array( $this, 'output' ) );
		}

	}
	
	affilo_register_settings('affilo_analytics_settings');
	
?>