<?php
	class affilo_feedburner_settings extends affilo_settings {
		
		function affilo_feedburner_settings() {
			$this->name = __( 'Feedburner Settings', 'affilo' );
			$this->slug = 'affilo_feedburner_settings';
			$this->description = __( 'Replace your site\'s default feed URLs with ones from feedburner (or another feed service).', 'affilo' );
			$this->location = 'secondary';
			$this->priority = 'core';
			$this->options = array(
					'feedburner_feed_url' => array(
							'type'	=> 'text',
							'label'	=> sprintf( __( 'Enter your %s feed URL below', 'affilo' ), '<a href="http://feedburner.google.com" target="_blank">Feedburner</a>' ),
							'size' => 'medium'
						),
					'feedburner_comments_url' => array(
							'type'	=> 'text',
							'label'	=> __( 'Enter your Feedburner Comments URL', 'affilo' ),
							'size'	=>	'medium'
						)
				);
			parent::__construct();
		}

		// Adapted directly from Feedburner plugin
		function affilo_feed_redirect() {
			global $wp, $feed, $withcomments;
			if (is_feed() && $feed != 'comments-rss2' && !is_single() && empty($wp->query_vars['category_name']) && ($withcomments != 1) && trim(affilo_get_option( 'feedburner_feed_url' )) != '') {
				if (function_exists('status_header')) status_header( 302 );
				header("Location:" . trim(affilo_get_option( 'feedburner_feed_url' )));
				header("HTTP/1.1 302 Temporary Redirect");
				exit();
			} elseif (is_feed() && ($feed == 'comments-rss2' || $withcomments == 1) && trim(affilo_get_option( 'feedburner_comments_url' )) != '') {
				if (function_exists('status_header')) status_header( 302 );
				header("Location:" . trim(affilo_get_option( 'feedburner_comments_url' )));
				header("HTTP/1.1 302 Temporary Redirect");
				exit();
			}
		}

		// Also adapted from Feedburner plugin
		function affilo_check_url() {
			switch (basename($_SERVER['PHP_SELF'])) {
				case 'wp-rss.php':
				case 'wp-rss2.php':
				case 'wp-atom.php':
				case 'wp-rdf.php':
					if (trim(affilo_get_option( 'feedburner_feed_url' )) != '') {
						if (function_exists('status_header')) status_header( 302 );
						header("Location:" . trim(affilo_get_option( 'feedburner_feed_url' )));
						header("HTTP/1.1 302 Temporary Redirect");
						exit();
					}
					break;
				case 'wp-commentsrss2.php':
					if (trim(affilo_get_option( 'feedburner_comments_url' )) != '') {
						if (function_exists('status_header')) status_header( 302 );
						header("Location:" . trim(affilo_get_option( 'feedburner_comments_url' )));
						header("HTTP/1.1 302 Temporary Redirect");
						exit();
					}
					break;
			}
		}
		
		function hooks() {
			if (!preg_match("/feedburner|feedvalidator/i", $_SERVER['HTTP_USER_AGENT'])) {
				add_action( 'template_redirect', array( $this, 'affilo_feed_redirect' ) );
				add_action( 'init', array( $this, 'affilo_check_url' ) );
			}
		}

	}
	
	if ( !function_exists('ol_feed_redirect') ) { affilo_register_settings('affilo_feedburner_settings'); }

?>