<?php
	class affilo_footer_code_settings extends affilo_settings {

		function affilo_footer_code_settings() {
			$this->name = __( 'Footer Code', 'affilo');
			$this->slug = 'affilo_footer_code_settings';
			$this->location = 'primary';
			$this->priority = 'low';
			$this->options = array(
				'footer_code' => array(
						'type'	=> 'textarea',
						'label'	=> __('You can put additional footer code here. It will be inserted inside the &lt;body&gt; tag on every page.'),
						'sanitize'	=> false
					)
			);
			parent::__construct();
		}


		function output() {
			if ( affilo_get_option( 'footer_code' ) ) {
				echo "<!-- Start footer code -->\n\n";
				echo affilo_get_option( 'footer_code' )."\n";
				echo "<!-- End footer code -->\n\n";
			}
		}
		
		function hooks() {
			add_action('wp_footer', array($this,'output' ) );
		}

	}
	
	affilo_register_settings('affilo_footer_code_settings');
	
?>