<?php
	class affilo_head_code_settings extends affilo_settings {

		function affilo_head_code_settings() {
			$this->name = __( 'Header Code', 'affilo');
			$this->slug = 'affilo_head_code_settings';
			$this->location = 'primary';
			$this->priority = 'default';
			$this->options = array(
				'head_code' => array(
						'type'	=> 'textarea',
						'label'	=> __('You can put additional header code here. It will be inserted inside the &lt;head&gt; tag on every page.'),
						'sanitize'	=> false
					)
			);
			parent::__construct();
		}


		function output() {
			if ( affilo_get_option( 'head_code' ) ) {
				echo "<!-- Start head code -->\n\n";
				echo affilo_get_option( 'head_code' )."\n";
				echo "<!-- End head code -->\n\n";
			}
		}
		
		function hooks() {
			add_action('wp_head', array($this,'output' ) );
		}

	}
	
	affilo_register_settings('affilo_head_code_settings');
	
?>