<?php
function affilo_import_export() {
	
	require_once dirname(dirname(__FILE__)) . '/vendors/Archive/Tar.php';
	
	$run = array('error' => false, 'message' => '', 'action' => false);
	$action = isset($_GET['action']) ? $_GET['action'] : false;
	if ($action == 'import' || $action == 'export') {
		$run['action'] = $action;
		if (!empty($_POST)) {
			$method = "affilo_process_profile_{$action}";
			$result = $method($run);
			if (is_array($result)) {
				$run = $result + $run;
			} else {
				$run['error'] = true;
			}
		} else {
			$run['error'] = true;
		}
	} else if ($action) {
		$run['error'] = 'Invalid action.';
	}
	
	extract($run);
	?>
	
	<div class="wrap">
	    <div id="icon-tools" class="icon32"><br/></div>
	
	    <h2><?php _e( 'Import & Export Theme Profile', 'affilo'); ?></h2>

		<?php 
			if ($error === true): 
				affilo_render_error("There was an error with your {$action}, please see details below.");
			elseif ($error):
				affilo_render_error($error);
			endif;

			if (!empty($message)):
				affilo_render_error($message, 'updated');
			endif;
		?>
		

		<div id="poststuff" class="metabox-holder">
		    <div id="post-body" class="has-sidebar">		    
			    <p>Your theme 'profile' consists of all your current AffiloTheme options including your<br />
			    Layout &amp; Theme, Header & Navigation Settings, Colors &amp; Fonts and Post Settings.<br />
			    If you have a header image configured you can also optionally include this.</p>
			    
			    <p><b>Note: </b>Exported options do not include any of your sites content of any kind, this includes:<br />
			    widgets and placement of these, affilliate redirects, posts and pages, squeeze pages and opt-in forms.
			    <br />The profile is primarily used to migrate your display and styling options.
			    </p>
		    
		    	 <p>Once exported you can import your profile to this site, or another WordPress blog with AffiloTheme<br />
		    	 installed, to restore or transfer the look of your site.</p>
		    	 
		    	 <form action="admin.php?page=affilo_import_export&action=export" method="post">
		    	 
			    	 <div id="affilo_profile_export" class="postbox affilobox">
						<h3 class="hndle">Export</h3>
						<div class="inside">
							<br />
							<p>Export your current AffiloTheme profile.</p>
							<div>
								<label class="col">
									<input type="checkbox" checked="checked" name="attachments" />
									&nbsp;&nbsp;Export attachments? (header image & favicon)
								</label>
							</div>
							<div class="col-clear">
								<br />
								<input type="submit" name="submit" class="button-primary" value="Export" />
							</div>
							<br />
							<br />
							<br />
						</div>
					</div>
				
				</form>
				
				
				<form action="admin.php?page=affilo_import_export&action=import" method="post" enctype="multipart/form-data">
				
					<div id="affilo_profile_export" class="postbox affilobox">
						<h3 class="hndle">Import</h3>
						<div class="inside">
							<br />
							<p>Import an AffiloTheme profile.</p>
							<div>
								<label>Profile file:</label>
								<input type="file" name="import_file"/><br />
								<span class="desc"> File extension '.tar'<br /> <b>NOTE</b>: theme profiles from earlier versions of AffiloTheme are not supported in this version.</span>
							</div>
							<br />
							<div>
								<label class="col">
									<input type="checkbox" checked="checked" name="attachments" />
									&nbsp;&nbsp;Import attachments? (header image & favicon)
								</label>
							</div>
							<div class="col-clear">
								<br />
								<input type="submit" name="submit" class="button-primary" value="Import" />
							</div>
							<br />
							<br />
							<br />
							
							
						</div>
					</div>
				
				</form>
				
		    </div>	    
		</div>
    </div>
    <style type="text/css">
    	#post-body {
			max-width:960px;
    	}
    </style>
	
	<?php
}

/**
 * Internal action for processing import
 */
function affilo_process_profile_import($run){
	if (!empty($_FILES['import_file']['size']) && strpos($_FILES['import_file']['name'], '.tar')) {
		$file = wp_handle_upload($_FILES['import_file'], array('test_form' => false, 'test_type' => false));
		if (isset($file['file']) && file_exists($file['file'])) {
			$tarFile = $file['file'];
			$tar = new Archive_Tar($tarFile);
			$contents = $tar->listContent();
			$path = dirname($tarFile) . '/' . time();
			@mkdir($path);
			if ($tar->extract($path)) {
				$legacyXml = false;
				$optionsFile = null;
				$images = array();
				foreach($contents as $file){
					if (preg_match('/affilotheme_profile_.*\.txt$/', $file['filename'])) {
						$optionsFile = $path . '/' . $file['filename'];
					} elseif (preg_match('/.*\.xml$/', $file['filename'])) {
						$legacyXml = true;
					} else {
						$images[] =  $path . '/' . $file['filename'];
					}
				}
				if ($optionsFile && file_exists($optionsFile)) {
					if ($options = @unserialize(file_get_contents($optionsFile))) {
						if (!empty($_POST['attachments'])) {
							foreach (array('logo-image', 'favicon') as $file) {
								if (!empty($options[$file]) && in_array($path . '/' . $options[$file], $images)) {
									$options[$file] = affilo_path_to_url($path . '/' . $options[$file]);
								}
							}
						} else {
							unset($options['logo-image'], $options['favicon']);
						}
						$theme = affilo_get_theme($options['theme']);
						switch_theme($theme['Template'], $theme['Stylesheet']);
						$options += get_option( THEME_OPTIONS );
						$options['affilo_profile_imported'] = true;
						update_option(THEME_OPTIONS, $options);
						$message = 'Theme Profile successfully imported.';
					} else {
						$error = 'Failed to read options file, this profile cannot be imported.';
					}	
				} else {
					if ($legacyXml) {
						$error = 'This profile cannot be imported, it appears to be from a previous version of AffiloTheme.';	
					} else {
						$error = 'Options file not found, this profile cannot be imported.';	
					}
				}
			} else {
				$error = 'Failed to extract theme profile.';
			}
		} else {
			$error = 'Upload failed, please check your theme profile and try again.';
		}		
	} else {
		$error = 'No theme profile uploaded, please upload a vaild theme profile.';
	}
	return compact(array_keys($run)) + $run;
}

/**
 * Internal action for processing export
 * 
 * @todo error reporting
 */
function affilo_process_profile_export($run) {
	$data = $_POST;
	$options = get_option( THEME_OPTIONS );
	$content = array();
	if (!empty($data['attachments'])) {
		$header = !empty($options['logo-image']) ? $options['logo-image'] : false;
		$favicon = !empty($options['favicon']) ? $options['favicon'] : false;
		foreach (compact('header', 'favicon') as $opt => $att) {
			$opt = $opt == 'header' ? 'logo-image' : $opt;
			if ($att && $file = affilo_url_to_path($att, true)) {
				if (!in_array($file, $content)) {
					$content[] = $file;
				}
				$options[$opt] = basename($file);
			} else {
				unset($options[$opt]);
			}
		}
	} else {
		unset($options['logo-image'], $options['favicon']);
	}
	$path = ABSPATH . 'wp-content/uploads/';
	$optionsFileBase = 'affilotheme_profile_'. date('Y_m_d');
	$optionsFile =  $path . wp_unique_filename($path, $optionsFileBase . '.txt');
	file_put_contents($optionsFile, serialize($options));
	$content[] = $optionsFile;
	$tarFile = $path . wp_unique_filename($path, $optionsFileBase . '.tar');
	$tar = new Archive_TAR($tarFile);	
	foreach ($content as $file) {
		$tar->addModify($file, '', dirname($file));
	}
	@unlink($optionsFile);
	$message = '<p>
		Theme Profile successfully imported.<br />
		<b><a href="' . affilo_path_to_url($tarFile) . '">Download Theme Profile</a></b>
		
	</p>';
	return compact(array_keys($run)) + $run;
}

function affilo_url_to_path($url, $check = false){
	$siteurl = get_option('siteurl');
	if(strpos($url, $siteurl) !== false) {
		$filename = ABSPATH . substr($url, strlen($siteurl) + 1);
		return $check ? (file_exists($filename) ? $filename : false) : $filename;
	}
	return false;
}

function affilo_path_to_url($path) {
	if(strpos($path, ABSPATH) !== false) {
		return str_replace(ABSPATH, site_url('/', (is_ssl() ? 'https' : 'http')), $path);
	}
	return false;
}

?>