<?php
function affilo_layout_and_theme_settings() {
	affilo_admin_sub_page(array(
		'affilo_theme_settings',
		'affilo_layout_settings'
	), 'Layout & Theme Settings');
}

	class affilo_layout_settings extends affilo_settings {
		
		function affilo_layout_settings() {
			$this->name = __( 'Layout Settings', 'affilo' );
			$this->slug = 'affilo_layout_settings';
			$this->description = __( 'Take full control over the content areas of your site. Select your page layout, thumbnail sizes, post navigation options and post meta information.', 'affilo' );
			$this->location = 'primary';
			$this->priority = 'core';
			$this->options = array(
				'home_layout' => array(
						'type'		=> 'layout',
						'label'		=> __( 'Homepage Layout', 'affilo' ),
						'desc'		=> __( 'Select content and sidebar alignment. Choose from any of the available layouts.', 'affilo' ),
						'options'	=>  affilo_supported_layouts('affilo-layouts-home'),
						'default'	=> 'two-col-right',
						'align'		=> 'right',
						'size'		=> 'medium'
					),
				'layout' => array(
						'type'		=> 'layout',
						'label'		=> __( 'Interior Page Layout', 'affilo' ),
						'desc'		=> __( 'Select content and sidebar alignment. This can be changed on each page/post individually.', 'affilo' ),
						'options'	=> affilo_supported_layouts('affilo-layouts'),
						'default'	=> 'two-col-right',
						'align'		=> 'right',
						'size'		=> 'medium'
					)
			);
			parent::__construct();
		}

		// Apply selected layout stylesheet
		function affilo_layout() {
			$options = get_option( THEME_OPTIONS );
			if ( is_front_page() )
				return $options['home_layout'];
			else
				return $options['layout'];
		}

		function hooks() {
			add_filter( 'affilo_get_post_layout_default', array( $this, 'affilo_layout' ) );
		}

	}
	
	affilo_register_settings('affilo_layout_settings');

?>