<?php
function affilo_navigation_settings() {
	affilo_admin_sub_page(array('affilo_navigation_settings'), 'Navigation Settings');
}

	class affilo_navigation_settings extends affilo_settings {
		
		function affilo_navigation_settings() {
			$this->name = __( 'Navigation Settings', 'affilo');
			$this->slug = 'affilo_navigation_settings';
			$this->description = __( 'Take full control of your navigation. Select which menu to display, where to display it, and whether or not to include a "Home" link.', 'affilo' );
			$this->location = 'primary';
			$this->priority = 'high';
			$this->options = array(
				'primary_nav' => array(
						'type'		=> 'navigation',
						'label'		=> __( 'Primary Navigation', 'affilo'),
						'default'	=> 'pages',
						'align'		=> 'left',
						'home_default' => true,
						'position_default' => 'affilo_after_header',
						'extras'	=> true
					),
				'div' => array( 'type' => 'divider' ),
				'secondary_nav' => array(
						'type'		=> 'navigation',
						'label'		=> __( 'Secondary Navigation', 'affilo'),
						'default'	=> 'none',
						'home_default' => false,
						'position_default' => 'affilo_before',
						'extras'	=> true
					),
				'div2' => array( 'type' => 'divider' ),
				'footer_nav' => array(
						'type'		=> 'navigation',
						'label'		=> __( 'Footer Navigation', 'affilo' ),
						'default'	=> 'disabled',
						'home_default' => false,
						'position'	=> apply_filters( 'affilo_footer_nav_position', array(
							'affilo_between_content_and_footer'	=> __( 'Before Footer Wrap', 'affilo' ),
							'affilo_before_footer'	=> __( 'Before Footer Widgets', 'affilo' ),
							'affilo_footer'			=> __( 'After Footer Widgets', 'affilo' ),
							'affilo_footer_left'	=> __( 'Footer Left', 'affilo' ),
							'affilo_footer_right'	=> __( 'Footer Right', 'affilo' ),
							'affilo_after_footer'	=> __( 'Bottom of Page', 'affilo' ),
						)),
						'extras' => array('depth' => 1)
					),
				);
				
				parent::__construct();
		}
		
		function primary_nav() { affilo_nav_menu( array( 'menu_id' => 'primary_nav', 'type' => affilo_get_option( 'primary_nav' ), 'show_home' => affilo_get_option( 'primary_nav-enable-home' ), 'extras' => affilo_get_option( 'primary_nav-extras' ), 'class' => 'nav nav-primary nav-' . affilo_get_option( 'primary_nav-position' ), 'depth' => affilo_get_option( 'primary_nav-depth' ), 'echo' => true ) ); }
		function secondary_nav() { affilo_nav_menu( array( 'menu_id' => 'secondary_nav', 'type' => affilo_get_option( 'secondary_nav' ), 'show_home' => affilo_get_option( 'secondary_nav-enable-home' ), 'extras' => affilo_get_option( 'secondary_nav-extras' ), 'class' => 'nav nav-secondary nav-' . affilo_get_option( 'secondary_nav-position' ), 'depth' => affilo_get_option( 'secondary_nav-depth' ), 'echo' => true ) ); }
		function footer_nav() { affilo_nav_menu( array( 'type' => affilo_get_option( 'footer_nav' ), 'class' => 'nav nav-footer nav-' . affilo_get_option( 'footer_nav-position' ), 'show_home' => affilo_get_option( 'footer_nav-enable-home' ), 'depth' => affilo_get_option( 'footer_nav-depth' ), 'echo' => true ) ); }
		
		function hooks() {
			$primary_nav = affilo_get_option( 'primary_nav-position' );
			$secondary_nav = affilo_get_option( 'secondary_nav-position' );
			$footer_nav = affilo_get_option('footer_nav-position');
			
			add_action( $primary_nav, array( $this, 'primary_nav') );
			add_action( $secondary_nav, array( $this, 'secondary_nav') );
			add_action( $footer_nav, array( $this, 'footer_nav' ), 11 );
			
		}

	}
	
	affilo_register_settings('affilo_navigation_settings');

?>