<?php
function affilo_post_settings() {
	affilo_admin_sub_page(array(
			'affilo_post_settings',
	), 'Post Settings');
}

class affilo_post_settings extends affilo_settings {
	function affilo_post_settings() {
		$this->name = __( 'Post Settings', 'affilo' );
		$this->slug = 'affilo_post_settings';
		$this->description = __( 'Thumbnail sizes, post navigation options and post meta information.', 'affilo' );
		$this->location = 'primary';
		$this->priority = 'core';
		$this->options = array(
			'post_content_heading' => array(
			 		'type'		=> 'intro',
			 		'label'		=> __( 'Post Content', 'affilo' )
			),
			'home_post_content' => array(
					'type'		=> 'select',
					'label'		=> __( 'Post Content on Homepage', 'affilo' ),
					'options'	=> array(
							'excerpt'	=> __( 'Excerpt', 'affilo' ),
							'full'		=> __( 'Full Post', 'affilo' )
					),
					'default'	=> 'excerpt',
					'align'		=> 'right',
					'size'		=> 'medium'
			),
			'archive_post_content' => array(
					'type'		=> 'select',
					'label'		=> __( 'Post Content in Archives', 'affilo' ),
					'options'	=> array(
							'excerpt'	=> __( 'Excerpt', 'affilo' ),
							'full'		=> __( 'Full Post', 'affilo' )
					),
					'default'	=> 'excerpt',
					'align'		=> 'right',
					'size'		=> 'medium'
			),
			'more_text' => array(
					'type'		=> 'text',
					'label'		=> __( 'Read More text', 'affilo' ),
					'default'	=> __( 'Read &amp; Discuss &raquo;', 'affilo' ),
					'size'		=> 'medium',
					'align'		=> 'right'
			),
			'author_bio' => array(
					'type'		=> 'select',
					'label'		=> __( 'Display Author Bio on single posts', 'affilo' ),
					'options'	=> array(
							'disabled' 	=> __( 'Disabled', 'affilo' ),
							'before' => __( 'Show Before Post Content', 'affilo' ),
							'after' => __( 'Show After Post Content', 'affilo' ),
					),
					'align'		=> 'right',
					'desc'		=> __( '(only displays if author provides a description in profile)', 'affilo' ),
					'default'	=> 'true',
					'size'		=> 'medium'
			),
			'content_div_1' => array( 'type' => 'divider' ),
			'post_meta_heading' => array(
					'type'		=> 'intro',
					'label'		=> __( 'Post Meta', 'affilo' ),
					'desc'		=> __( 'Control meta information on each post. You can use any <a href="javascript::void();" onclick="affilo_shortcode_view(function(){}); return false;" target="_blank">shortcodes</a> including: [author], [categories], [comments], [published], [time], [tags] and [edit].', 'affilo' )
			),
			'post_header_meta' => array(
					'type'		=> 'text',
					'label'		=> __( 'Post Header Meta', 'affilo' ),
					'default'	=> __( 'Published in [categories] on [published] [edit]', 'affilo' ),
					'size'		=> 'large',
					'align'		=> 'right'
			),
			'post_footer_meta' => array(
					'type'		=> 'text',
					'label'		=> __( 'Post Footer Meta', 'affilo' ),
					'default'	=> '[tags] [comments]',
					'size'		=> 'large',
					'align'		=> 'right'
			),
			'content_div_2' => array( 'type' => 'divider' ),
			'post_thumbnail_heading' => array(
					'type'		=> 'intro',
					'label'		=> __( 'Post Thumbnails', 'affilo' )
			),
			'enable_post_thumbnails' => array(
					'type'		=> 'checkbox',
					'label'		=> __( 'Enable Post Thumbnails', 'affilo' ),
					'default'	=> true,
					'align'		=> 'left'
			),
			'post_thumbnail_rss' => array(
					'type'		=> 'checkbox',
					'label'		=> __( 'Include Post Thumbnails in RSS feed', 'affilo' ),
					'default'	=> true,
					'align'		=> 'left'
			),
			'post_thumbnail_use_attachments' => array(
					'type'		=> 'checkbox',
					'label'		=> __( 'Use any attached image if no Featured Image specified', 'affilo' ),
					'default'	=> true,
					'align'		=> 'left'
			),
			'post_thumbnail_hide_nophoto' => array(
					'type'		=> 'checkbox',
					'label'		=> __( 'Hide thumbnails if no preview available', 'affilo' ),
					'default'	=> false,
					'align'		=> 'left'
			),
			'post_thumbnail_default_image' => array(
					'type'		=> 'upload',
					'label'		=> __( 'Default Thumbnail', 'affilo' ),
					'default'	=> IMAGES_URL . '/nophoto.jpg'
			),
			'post_thumbnail_width' => array(
					'type'		=> 'text',
					'label'		=> __( 'Thumbnail Width', 'affilo' ),
					'after'		=> ' px',
					'align'		=> 'right',
					'size'		=> 'small',
					'default'	=> '200'
			),
			'post_thumbnail_height' => array(
					'type'		=> 'text',
					'label'		=> __( 'Thumbnail Height', 'affilo' ),
					'after'		=> ' px',
					'align'		=> 'right',
					'size'		=> 'small',
					'default'	=> '200'
			),
			'post_thumbnail_align'	=> array(
					'type'		=> 'select',
					'label'		=> 'Image Crop Alignment',
					'options'	=> array(
							'tl'	=> 'Top Left',
							'tc'	=> 'Top Center',
							'tr'	=> 'Top Right',
							'l'		=> 'Middle Left',
							'c'		=> 'Center',
							'r'		=> 'Middle Right',
							'bl'	=> 'Bottom Left',
							'bc'	=> 'Bottom Center',
							'br'	=> 'Bottom Right'
					),
					'default'	=> 'tc',
					'align'		=> 'right'
			),
			'content_div_3' => array( 'type' => 'divider' ),
			'post_navigation_heading' => array(
					'type'		=> 'intro',
					'label'		=> __( 'Post Navigation', 'affilo' ),
					'desc'		=> __( 'Specify how navigation for prev/next posts should appear.')
			),
			'archive_navigation' => array(
					'type'		=> 'select',
					'label'		=> __( 'Blog & Archives Navigation', 'affilo' ),
					'options'	=> array(
							'none' 	=> __( 'Disabled', 'affilo' ),
							'above' => __( 'Show Above Posts', 'affilo' ),
							'below' => __( 'Show Below Posts', 'affilo' ),
							'both' 	=> __( 'Show Above & Below Posts', 'affilo' )
					),
					'default'	=> 'below',
					'align'		=> 'right',
					'size'		=> 'medium'
			),
			'post_navigation' => array(
					'type'		=> 'select',
					'label'		=> __( 'Single Post Navigation', 'affilo' ),
					'options'	=> array(
							'none' 	=> __( 'Disabled', 'affilo' ),
							'above' => __( 'Show Above Posts', 'affilo' ),
							'below' => __( 'Show Below Posts', 'affilo' ),
							'both' 	=> __( 'Show Above & Below Posts', 'affilo' )
					),
					'default'	=> 'below',
					'align'		=> 'right',
					'size'		=> 'medium'
			)
		);
		parent::__construct();
	}
	
	public function form($options) {
		parent::form($options);
		echo '<div style="display:none;"><div id="affilo_shortcodes_examples">' . affilo_shortcodes_table() . '</div></div>';
	}
	
	// Prev/Next Post Links
	function affilo_post_nav() {
		$position = ( did_action('affilo_after_content') ) ? 'below' : 'above';
	
		if ( is_attachment() || ( is_page() && !is_page_template('page_category.php') ) )
			return;
	
		if ( !is_single() && ( affilo_get_option( 'archive_navigation' ) == $position || affilo_get_option( 'archive_navigation' ) == 'both' ) ) {
			echo '<div id="nav-' . $position . '" class="navigation">';
			if ( function_exists('wp_pagenavi') ) {
				wp_pagenavi();
			}
		else { ?>
		<div class="nav-previous"><?php next_posts_link( sprintf( __('%s Older posts', 'affilo'), '<span class="meta-nav">&laquo;</span>' ) ); ?></div>
		<div class="nav-next"><?php previous_posts_link( sprintf( __('Newer posts %s', 'affilo'), '<span class="meta-nav">&raquo;</span>' ) ); ?></div>
		<?php }
		echo '</div>';
		} elseif ( is_single() && ( affilo_get_option( 'post_navigation' ) == $position || affilo_get_option( 'post_navigation' ) == 'both' ) ) { ?>
		<div id="nav-<?php echo $position; ?>" class="navigation">
		<div class="nav-previous"><?php previous_post_link('%link', apply_filters( 'affilo_previous_post_link', '<span class="meta-nav">&laquo;</span> %title') ); ?></div>
		<div class="nav-next"><?php next_post_link('%link', apply_filters( 'affilo_next_post_link', '%title <span class="meta-nav">&raquo;</span>') ); ?></div>
		</div>
		<?php }
	}
	
	// More Text filter
	function more_text() {
		return affilo_get_option( 'more_text' );
	}
	
	// Display Author Bio
	function affilo_author_bio() {
		if ( get_the_author_meta( 'description' ) && is_single() ) { 
			echo do_shortcode('[author_bio]'); 
		} // If a user has filled out their description, show a bio on their entries
	}
	
	// Post Meta
	function affilo_header_meta() {
		$content = affilo_get_option( 'post_header_meta' ) ;
		echo apply_filters( 'affilo_header_meta', do_shortcode($content) );
	}
	
	function affilo_footer_meta() {
		$content = affilo_get_option( 'post_footer_meta' );
		echo apply_filters( 'affilo_footer_meta', do_shortcode($content) );
	}
	
	// Post Thumbnails
	function image_settings($defaults) {
		$options = get_option( THEME_OPTIONS );
		
		( isset($options['post_thumbnail_width']) ? $defaults['width'] = $options['post_thumbnail_width'] : '' );
		( isset($options['post_thumbnail_height']) ? $defaults['height'] = $options['post_thumbnail_height'] : '' );
		( isset($options['post_thumbnail_align']) ? $defaults['align'] = $options['post_thumbnail_align'] : '' );
		( isset($options['post_thumbnail_hide_nophoto']) ? $defaults['hide_nophoto'] = $options['post_thumbnail_hide_nophoto'] : '' );
		( isset($options['post_thumbnail_use_attachments']) ? $defaults['use_attachments'] = $options['post_thumbnail_use_attachments'] : '' );
		( isset($options['enable_post_thumbnails']) ? $defaults['enabled'] = $options['enable_post_thumbnails'] : '' );
		
		return $defaults;
	}
	
	
	function image_default() { 
		return affilo_get_option( 'post_thumbnail_default_image' );
	}
	
	
	// Post Thumbnail in RSS feed
	function post_image_feeds($content) {
		global $post;
		$img = affilo_post_image(null, null, null, 1, array('echo' => false));
		$content = '<div><a href="' . the_permalink() . '" title="' . the_title() . '">' . $img . '</a></div>' . $content;
		return $content;
	}
	
	function hooks() {
		add_filter( 'affilo_read_more', array($this, 'more_text' ) );
		add_action( 'affilo_post_header', array($this, 'affilo_header_meta' ) );
		add_action( 'affilo_post_footer', array($this, 'affilo_footer_meta' ) );
		if ( affilo_get_option( 'author_bio' ) == 'before' ) { add_action( 'affilo_before_post_content', array( $this, 'affilo_author_bio' ) ); }
		if ( affilo_get_option( 'author_bio' ) == 'after' ) { add_action( 'affilo_after_post_content', array( $this, 'affilo_author_bio' ) ); }
		add_action( 'affilo_before_content', array( $this, 'affilo_post_nav' ) );
		add_action( 'affilo_after_content', array( $this, 'affilo_post_nav' ) );
		if ( affilo_get_option( 'post_thumbnail_rss' ) ) {
		add_filter('the_excerpt_rss', array( $this, 'post_image_feeds' ) );
		add_filter('the_content_feed', array( $this, 'post_image_feeds' ) );
		}
		add_filter( 'affilo_post_image_settings', array( $this, 'image_settings' ) );
		//add_filter( 'affilo_post_image_none', array( $this, 'image_default' ) );
	}
	
}
	
affilo_register_settings('affilo_post_settings');

?>