<?php
class affilo_seo_settings extends affilo_settings {
	
	function affilo_seo_settings() {
		$this->name = __('Basic SEO Settings', 'affilo');
		$this->slug = 'affilo_settings_seo';
		$this->location = 'primary';
		$this->priority = 'core';
		$this->options = array(
			'seo_intro' => array(
				'type'		=> 'intro',
				'label'		=> '',
				'desc'		=> __( 'These options will disappear as soon as you activate an SEO plugin. We recommend you use the <a href="http://wordpress.org/extend/plugins/all-in-one-seo-pack/" target="_blank">All in One SEO Pack</a>.', 'affilo')
			),
			'seo_description' => array(
				'type'		=> 'textarea',
				'label'		=> __( 'Site Meta Description', 'affilo' ),
				'default'	=> get_bloginfo('description'),
				'desc'		=> __( 'We recommend roughly 155 characters for search engines', 'affilo' )
			),
			'seo_keywords' => array(
				'type'		=> 'text',
				'label'		=> __( 'Site Meta Keywords', 'affilo' ),
				'size'		=> 'medium',
				'desc'		=> __( 'Comma separated (e.g. Wordpress, themes)', 'affilo' )
			)
		);
		parent::__construct();
	}

	function affilo_seo_keywords() {
		if ( $keywords = affilo_get_option( 'seo_keywords' ) ) { echo '<meta name="keywords" content="' . esc_attr( $keywords ) . '" />' . "\n"; }
	}
	
	function affilo_seo_description( $content ) {
		if ( $description = affilo_get_option( 'seo_description' ) ) { echo '<meta name="description" content="' . apply_filters( 'affilo_description', esc_attr( $description ) ) . '" />'; }
	}
	
	function hooks() {
		add_action( 'wp_head', array( $this, 'affilo_seo_description' ));
		add_action( 'wp_head', array( $this, 'affilo_seo_keywords' ));
	}
}

// Only include this metabox if no other popular SEO plugins are active
if ( !defined('WPSEO_FRONT_URL') && !class_exists('All_in_One_SEO_Pack') && !class_exists('Platinum_SEO_Pack') && !class_exists('HeadSpace_Plugin') )
	affilo_register_settings('affilo_seo_settings');
	
?>