<?php
function affilo_shortcodes_addbuttons() {
   if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
     return;
   if ( get_user_option('rich_editing') == 'true') {
     add_filter("mce_external_plugins", "add_affilo_shortcodes_tinymce_plugin");
     add_filter('mce_buttons', 'affilo_register_shortcodes_button');
   }
}

function affilo_register_shortcodes_button($buttons) {
   array_push($buttons, "separator", "Shortcodes");
   return $buttons;
}

function add_affilo_shortcodes_tinymce_plugin($plugin_array) {
	$plugin_array['Shortcodes'] =  SCRIPTS_URL."/shortcodes_mce_plugin.js.php";
	return $plugin_array;
}
// init process for button control
add_action('admin_head', 'affilo_shortcodes_addbuttons');

function affilo_editor($content) {
	static $output = false;
	if (!$output) {
		$output = true;
		$content .= '<div style="display:none;"><div id="affilo_shortcodes_examples">' . affilo_shortcodes_table() . '</div></div>';
	}
	return $content;
}
add_filter('the_editor', 'affilo_editor', 1000);

function affilo_add_shortcode_quicktag() {
	$output = '
    <script type="text/javascript">
		if ( typeof QTags != \'undefined\' ) {
		    QTags.addButton(\'shortcodes\', \'shortcodes\', function() {
		        affilo_shortcode_view(function(code){
					QTags.insertContent(code);
				});
		    });
		}
    </script>
	';
	echo $output;
}

add_action( 'admin_print_footer_scripts', 'affilo_add_shortcode_quicktag', 100);

function affilo_shortcodes_table() {
	global $affilo_shortcodes_index;
	$output = '<table id="affilo_shortcodes_table">';
	$output.= '<thead><tbody>';
	$shortcodes_index = $affilo_shortcodes_index;
	if (!empty($shortcodes_index)) {
		natsort($shortcodes_index);
		foreach ($shortcodes_index as $group => $shortcodes) {
			$output.= '<tr class="sc_group">';
			$output.= "<th><h3>{$group}</h3></th>";
			$output.= '</tr>';
			foreach ($shortcodes as $code => $shortcode) {
				$output.= affilo_shortcodes_table_row($code, $shortcode);
			}
		}
	}
	$output.= '</tbody></table>';
	return $output;
}

function affilo_shortcodes_table_row($code, $shortcode) {
	$shortcode['format'] = str_replace(array("\n", "\t", '\n', '\t'), array('', '', "\n", "\t"), "{$shortcode['format']}");
	$output = '<tr>';
	$output.= "<th class='sc_start'>
		<a data-class='sc_{$code}_desc' class='sc_display' title='Show info'>{$shortcode['name']}<a>
		<div class='sc_ins'><a class='sc_insert' data-code='sc_{$code}_format' title='Insert into current content'>Insert &raquo;</a></div>
	</th>";
	$output.= '</tr>';
	$output.= '<tr>';
	$output.= "<td>{$shortcode['description']}</td>";
	$output.= '</tr>';
	
	if (!empty($shortcode['reference'])) {
		
		if (is_array($shortcode['reference'])) {
			$options = array();
			foreach ($shortcode['reference'] as $att => $opt) {
				$options[] = "<b>{$att}</b>: <i>{$opt}</i>";
			}
			$options = join('<br />', $options);
		} else {
			$options = nl2br(trim($shortcode['reference']));
		}
		$output.= "<tr class='sc_{$code}_desc sc_desc'>";
		$output.= "<th>Options</th>";
		$output.= '</tr>';
		$output.= '<tr class="sc_'.$code.'_desc sc_desc">';
		$output.= "<td>" . $options . "</td>";
		$output.= '</tr>';
	}
	
	$output.= "<tr class='sc_{$code}_desc sc_desc'>";
	$output.= "<th>Usage</th>";
	$output.= '</tr>';
	$output.= '<tr class="sc_'.$code.'_desc sc_desc">';
	$output.= "<td class='sc_end'><pre class='sc_{$code}_format sc_format'>{$shortcode['format']}</pre></td>";
	$output.= '</tr>';
	
	return $output;
}