<?php
function affilo_color_and_font_settings() {
	affilo_admin_sub_page(array('affilo_style_settings'), 'Color & Font Settings');
}

	class affilo_style_settings extends affilo_settings {
		
		public $style_priority = 20;
		
		var $template = '';
		
		function affilo_style_settings() {
			$this->name = __( 'Style Settings', 'affilo');
			$this->slug = 'affilo_style_settings';
			$this->description = __( 'Take full control of your styles.', 'affilo' );
			$this->location = 'primary';
			$this->priority = 'high';
			$this->options = array(
				'style_body_font' => array(
					'type'		=> 'font',
					'selector' => 'body',
					'label'		=> __( 'Default Font', 'affilo' ),
					'extras'  	=> array(false, 'family', 'size', 'color'),
					'desc'		=> __( 'Select the default font settings.', 'affilo' ),
				),
					
				array( 'type' => 'divider' ),
				
				'style_link_intro' => array(
						'type'		=> 'intro',
						'label'		=> __( 'Link Color & Decoration', 'affilo' )
				),
				'style_link' => array(
						'type'		=> 'font',
						'selector' => 'a, a:visited',
						'desc'		=> '<b>' . __( 'Links', 'affilo' ) . '</b>',
						'extras' 	=> array(false, 'color', 'decoration'),
				),
				array( 'type' => 'divider', 'class' => 'light' ),
				'style_link_hover' => array(
						'type'		=> 'font',
						'selector' => 'a:hover, a:active',
						'desc'		=> '<b>' . __( 'Hover', 'affilo' ) . '</b>',
						'extras' 	=> array(false, 'color', 'decoration'),
				),
					
				array( 'type' => 'divider' ),
					
				'style_headline_font' => array(
					'type'		=> 'font',
					'selector' => '
							#logo h1, #logo h1 a, #logo h1 a:active,
							#logo h1 a:visited, #logo h1 a:hover
					',
					'label'		=> __( 'Header Fonts', 'affilo' ),
					'desc'		=> __( 'Select font settings for your header.', 'affilo' ) . '<br /><br /><b>' . __( 'Headline', 'affilo' ) . '</b>',
				),
				array( 'type' => 'divider', 'class' => 'light' ),
				'style_tagline_font' => array(
					'type'		=> 'font',
					'selector' => '#logo h4#blog-description',
					'desc'		=> '<b>' . __( 'Tagline', 'affilo' ) . '</b>',
				),
					
				array( 'type' => 'divider'),
					
				'style_post_title' => array(
					'type'		=> 'font',
					'selector' => '.page-title',
					'label'		=> __( 'Content Fonts', 'affilo' ),
					'desc'		=> __( 'Select font settings for your content.', 'affilo' ) . '<br /><br /><b>' . __( 'Page/Post Title', 'affilo' ) . '</b>',
				),
				array( 'type' => 'divider', 'class' => 'light' ),
				'style_post_content' => array(
					'type'		=> 'font',
					'selector' => '.entry-content p',
					'desc'		=> '<b>' . __( 'Page/Post Content', 'affilo' ) . '</b>',
				),
				array( 'type' => 'divider', 'class' => 'light' ),
				'style_post_content_headings' => array(
					'type'		=> 'font',
					'selector' => '
						.entry-title, 
						.entry-title a, .entry-title a:active, .entry-title a:hover, .entry-title a:visited, 
						.entry-content h1, .entry-content h1 a, .entry-content h1 a:active, .entry-content h1 a:hover, .entry-content h1 a:visited, 
						.entry-content h2, .entry-content h2 a, .entry-content h2 a:active, .entry-content h2 a:hover, .entry-content h2 a:visited,
						.entry-content h3, .entry-content h3 a, .entry-content h3 a:active, .entry-content h3 a:hover, .entry-content h3 a:visited
					',
					'extras' => array('size' => false),
					'desc'		=> '<b>' . __( 'Content Headings (H1, H2, H3)', 'affilo' ) . '</b>',
				),
				'style_post_content_h1' => array(
					'type'		=> 'font',
					'selector' => '.entry-content h1, .entry-content h1 a, .entry-content h1 a:active, .entry-content h1 a:hover, .entry-content h1 a:visited',
					'extras' => array(false, 'size', 'color'),
					'desc'		=> '<b>' . __( 'Content H1 Headings', 'affilo' ) . '</b>',
				),
				'style_post_content_h2' => array(
						'type'		=> 'font',
						'selector' => '.entry-content h2, .entry-content h2 a, .entry-content h2 a:active, .entry-content h2 a:hover, .entry-content h2 a:visited',
						'extras' => array(false, 'size', 'color'),
						'desc'		=> '<b>' . __( 'Content H2 Headings', 'affilo' ) . '</b>',
				),
				'style_post_content_h3' => array(
						'type'		=> 'font',
						'selector' => '.entry-content h3, .entry-content h3 a, .entry-content h3 a:active, .entry-content h3 a:hover, .entry-content h3 a:visited',
						'extras' => array(false, 'size', 'color'),
						'desc'		=> '<b>' . __( 'Content h3 Headings', 'affilo' ) . '</b>',
				),
				array( 'type' => 'divider', 'class' => 'light' ),
				'style_post_meta' => array(
					'type'		=> 'font',
					'selector' => '.entry-meta, .entry-meta a, .entry-meta a:visited',
					'desc'		=> '<b>' . __( 'Page/Post meta info (author, date etc)', 'affilo' ) . '</b>',
				),
				
				
				array( 'type' => 'divider', 'class' => 'light' ),
				
				'style_content_link' => array(
						'type'		=> 'font',
						'selector' => '.entry-content a, .entry-content a:visited',
						'desc'		=> '<b>' . __( 'Content Links', 'affilo' ) . '</b>',
						'extras' 	=> array(false, 'color', 'decoration'),
				),
				array( 'type' => 'divider', 'class' => 'light' ),
				
				'style_content_link_hover' => array(
						'type'		=> 'font',
						'selector' => '.entry-content a:hover, .entry-content a:active',
						'desc'		=> '<b>' . __( 'Content Links Hover', 'affilo' ) . '</b>',
						'extras' 	=> array(false, 'color', 'decoration'),
				),
				
				array( 'type' => 'divider' ),
					
				'style_navigation_text' => array(
						'type'		=> 'font',
						'selector' => '.nav li a, .nav li a:visited',
						'label'		=> __( 'Navigation Menu Links', 'affilo' ),
						'desc'		=> __( 'Select the settings for your main navigation menus.', 'affilo' ) . '<br /><br /><b>' . __( 'Links', 'affilo' ) . '</b>',
				),
				array( 'type' => 'divider', 'class' => 'light' ),
				'style_navigation_hover' => array(
						'type'		=> 'font',
						'selector' => '.nav li a:hover, .nav li a:active',
						'desc'		=> '<b>' . __( 'Hover', 'affilo' ) . '</b>',
						'extras' 	=> array(false, 'color', 'decoration','weight','style'),
				),
				
				array( 'type' => 'divider' ),
				
				'style_widget_title' => array(
						'type'		=> 'font',
						'selector' => '.widget-title, .widget-title a, .widget-title a:hover',
						'label'		=> __( 'Widget Fonts', 'affilo' ),
						'desc'		=> __( 'Select font settings for your widgets.', 'affilo' ) . '<br /><br /><b>' . __( 'Widget Title', 'affilo' ) . '</b>',
				),
				array( 'type' => 'divider', 'class' => 'light'  ),
				'style_widget_text' => array(
						'type'		=> 'font',
						'selector' => '.widget ul li',
						'desc'		=> '<b>' . __( 'Widget Content', 'affilo' ) . '</b>',
				)
			);	
			parent::__construct();
		}
		
		function styles() {
			$fontKeys = $this->_get_font_keys();			
			array_map(array($this, '_format_font'), array_keys($fontKeys), array_values($fontKeys));
			
			if (WP_DEBUG) {
				echo "/*Start Template\n\n";
				echo $this->template;
				echo "\n\nEnd Template*/";	
			}
		}
		
		function format_styles($values = array()) {
			$formats  = array(
				'family' => 'font-family: %s;',
				'size' => 'font-size: %upx;',
				'color' => 'color: %s;',
				'style' => 'font-style: %s;',
				'weight' => 'font-weight: %s;',
				'decoration' => 'text-decoration: %s;',
				'transform' => 'text-transform: %s;'
			);
			$output = array();
			foreach ((array) $values as $type => $value) {
				if (isset($formats[$type])) {
					if ($value || $value === 0 || $value === '0') {
						$output[] = sprintf($formats[$type], $value);
					} else if ($value === false) {
						$output[] = $formats[$type];
					}
				}
			}
			return join("\n", $output);
		}
		
		function format_style_array($styles = array(), $prefix = '') {
			$css = ''; 
			$template = "\n%s {\n\t%s\n}\n";
			foreach ($styles as $selector => $rules) {
				if ($value = self::format_styles($rules)) {
					if (!empty($prefix)) {
						$selector = $prefix . ' ' . $selector;
					}
					$css.= sprintf($template, $selector, $value);
				}
			}
			return $css;
		}
		
		/**
		 * Create the Google Web Font script & styles
		 * 
		 * @todo embed the font styles directly.
		 */
		function google_font_scripts() {
			$fontKeys = $this->_get_font_keys();
			$fonts = $selectors = array();
			foreach ($fontKeys as $option => $selector) {
				$family = affilo_get_option($option . '-family');
				$webfonts = $this->_extract_google_webfonts($family);
				if (!empty($webfonts['webfonts'])) {
					$selectors[$selector] = array();
					foreach ($webfonts['webfonts'] as $name => $webfont) {
						$variants = join(',', $webfont['variants']);
						$fonts[$name] = "{$webfont['family']}:{$variants}:latin";
						$selectors[$selector][] = $webfont['safe'];
					}
				}
			}
			if ($fonts) {
				$_fonts = join("', '", $fonts);
				$script = "
					<script type=\"text/javascript\">
					  WebFontConfig = {
					    google: { families: [ '{$_fonts}' ] }
					  };
					  (function() {
					    var wf = document.createElement('script');
					    wf.src = ('https:' == document.location.protocol ? 'https' : 'http') +
					      '://ajax.googleapis.com/ajax/libs/webfont/1/webfont.js';
					    wf.type = 'text/javascript';
					    wf.async = 'true';
					    var s = document.getElementsByTagName('script')[0];
					    s.parentNode.insertBefore(wf, s);
					  })();
					</script>
				";
				if (!empty($selectors)) {
					$styles = '';
					$template = "\n%s{\n\tfont-family: %s;\n}\n";
					foreach ($selectors as $selector => $webfonts) {
						$sels = explode(',', $selector);
						foreach ($sels as &$sel) {
							$sel = '.wf-active ' . trim($sel);
						}
						$selector = join(', ', $sels);
						$webfont = join(', ', $webfonts);
						$styles.= sprintf($template, $selector, $webfont);
					}
					$script.= '<style type="text/css">' . $styles . '</style>';
				}
				echo $script;
			}
		}
		
		/**
		 * Format font css rules for font style options
		 * @param string $option option base name
		 * @param string $selector css selector to use in stylesheet
		 */
		function _format_font($option, $selector) {
			$keys = array(
				'family',
				'size',
				'color',
				'style',
				'weight',
				'decoration',
				'transform'
			);
			$template = "\n{$selector} {\n\t%s\n}\n";
			$output = $_output = array();
			foreach ($keys as $key) {
				$opt = "{$option}-{$key}";
				$filter = "_format_font_{$key}";
				$value = affilo_get_option( $opt );
				if (method_exists($this, $filter)) {
					$filter = $this->$filter($value, $this->format_styles(array($key => false)));
					if (is_array($filter)) {
						extract($filter);
					} else {
						$value = $filter;
					}
				}
				if ($value !== false) {
					$output[] = "/*$opt*/";
					$output[] = $this->format_styles(array($key => $value));
				}
				$_output[] =  "\n{$opt}: \n// " . str_replace(array("\n", "\t"), '', sprintf($template, $this->format_styles(array($key => ''))));
			}
			if (!empty($output)) {
				echo "\n/*Font:{$option}*/";
				echo sprintf($template, join("\n\t", $output));
			}
			$this->template .= join("\n", $_output);
		}
		
		/**
		 * Format the value of a font family, including parsing google web fonts
		 * 
		 * @todo remove web fonts, provide fallback/default
		 * @param string $value font family option
		 * @param string $rule template the value will inserted into, i.e. the rule declaration
		 */
		function _format_font_family($value, $rule) {
			if (!empty($value)) {
				$value = $this->_extract_google_webfonts($value, 'family', true);
			}
			return $value;
		}
		

		function _format_font_style($value, $rule) {
			if($value == "normal") { unset($value); }
			return ($value) ? "italic" : "normal";
		}
		
		function _format_font_weight($value, $rule) {
			if($value == "normal") { unset($value); }
			return ($value) ? "bold" : "normal";
		}
		
		/**
		 * Extract Google web fonts from a font family option
		 * 
		 * @param string $value font family option
		 * @param mixed $return
		 */
		function _extract_google_webfonts($value, $return = true, $exclude = false) {
			$fontSource = affilo_get_google_webfonts();
			$webfonts = array();
			$family = array();
			if (strpos($value, 'Google WebFont:') !== false) {
				$fonts = explode(',', $value);
				foreach ($fonts as $font) {
					$wf = strpos($font, 'Google WebFont:') !== false;
					if ($wf && !$exclude) {
						$webfont = preg_replace(array(
							"#Google WebFont:#",
							"#^['\"\s]+#",
							"#['\"\s]+$#"
						), '', $font);
						if (isset($fontSource[$webfont])) {
							$webfonts[$webfont] = $fontSource[$webfont];
							$swebfont = strpos($webfont, ' ') ? "'{$webfont}'" : $webfont;
							$webfonts[$webfont]['safe'] = $family[] = $swebfont;
						}
					} elseif(!$wf) {
						$family[] = trim($font);
					}
				}
			} else {
				$family = $value;
			}
			switch(true) {
				case $return === true:
					return compact('family', 'webfonts');
					break;
				case $return == 'family':
					return is_array($family) ? join(', ',  $family) : $family;
					break;
				case $return == 'webfonts':
				default:
					return $webfonts;
					break;
			}
		}
		
		/**
		 * Get all the option keys used to define font styling options with slectors where specificed
		 */
		function _get_font_keys() {
			static $fontKeys = array();
			if (empty($fontKeys)) {
				foreach ($this->options as $option => $settings) {
					if (!empty($settings['type']) && $settings['type'] == 'font') {
						$fontKeys[$option] = isset($settings['selector']) ? trim($settings['selector']) : null;
					}
				}
			}
			return $fontKeys;
		}
	}
	
	
	/*
	 * Register settings class
	 */
	affilo_register_settings('affilo_style_settings');
	
	
	/**
	 * Output styles to a style tag for embed when previewing theme
	 */
	function affilo_style_override() {
		echo '<style type="text/css">';
		do_action('affilo_styles');
		echo '</style>';
	}
	
	function affilo_google_fonts() {
		global $affilo_settings_factory;
		if( isset($affilo_settings_factory->settings['affilo_style_settings']) ) {
			$affilo_settings_factory->settings['affilo_style_settings']->google_font_scripts();
		}
	}
	
	add_action('wp_head', 'affilo_google_fonts', 1);
	
	/**
	 * Obtain a list of latin webfonts from google web fonts API.
	 */
	function affilo_get_google_webfonts() {
		$http = new WP_Http();
		$transient = 'affilo_google_fonts';
		//@todo!!! This is one of Paul's key, replace.
		$key = 'AIzaSyA1yANsAANU2W8tsP_WHels5S-X5WlD4Tg';
		$url = 'https://www.googleapis.com/webfonts/v1/webfonts?key=' . $key;
	
		$cached = get_transient($transient);
		if ($cached && $fonts = @json_decode(stripslashes($cached), true)) {
			return $fonts;
		}
	
		$data = $http->get($url);
		if (is_array($data) && !empty($data['body']) && !empty($data['response']['code']) && $data['response']['code'] == 200) {
			if ($fonts = @json_decode($data['body'], true)) {
				if (isset($fonts['items'])) {
					$items = array();
					foreach ($fonts['items'] as $font) {
						//we only want latin fonts
						if (in_array('latin', (array) $font['subsets'])) {
							$items[$font['family']] = $font;
						}
					}
					set_transient($transient, addslashes(json_encode($items)), 60 * 60 * 24);
					return $items;
				}
			}
		}
		return array();
	}
?>