<?php
	class affilo_theme_settings extends affilo_settings {

		function affilo_theme_settings() {
			$this->name = __( 'Theme Settings', 'affilo' );
			$this->slug = 'affilo_theme_settings';
			$this->description = __( '', 'affilo' );
			$this->location = 'primary';
			$this->priority = 'core';
			$this->options = array(
				'theme' => array(
					'type' => 'theme',
					'label'		=> __( 'Theme', 'affilo' ),
				),
			);
			
			parent::__construct();
		}
		
		function format_options($value, $options) {
			$value = parent::format_options($value, $options);
			if (empty($value['theme-variant'])) {
				$value['theme-variant'] = '';
			} else if (!empty($value['theme-variant']) && !affilo_get_theme_variation($value['theme'], $value['theme-variant'])) {
				$value['theme-variant'] = '';
			}
			if ($value['theme'] != THEME_NAME && $theme = affilo_get_theme($value['theme'])) {
				switch_theme($theme['Template'], $theme['Stylesheet']);
			}
			if (!empty($value['theme-variant']) && $value['theme-variant'] != $options['theme-variant']) {
				$value = affilo_apply_theme_options($value + $options, false);
			}
			return $value;
		}
	}
	
	affilo_register_settings('affilo_theme_settings');
?>