<?php
class affilo_upgrade_settings extends affilo_settings {

	function affilo_upgrade_settings() {
		$this->name = __( 'Version Information', 'affilo');
		$this->slug = 'affilo_upgrade_settings';
		$this->description = __( '', 'affilo' );
		$this->location = 'primary';
		$this->priority = 'high';
		$this->options = array(
			'affilo_version_info' => array(
				'type'	=> 'intro',
				'label' => 'Current Version: <i>'. AFFILO_VERSION . '</i> '
			),
			'enable_updates' => array(
					'type'		=> 'checkbox',
					'label'		=> __('Enable automatic update checking.', 'affilo'),
					'default'	=> true
			),
			'check_update' => array(
					'type'		=> 'checkbox',
					'label'		=> __('Check for update now.', 'affilo')
			)
		);
		if (affilo_get_option('disable_updates')) {
			unset($this->options['enable_updates'], $this->options['check_update']);
		}
		parent::__construct();
	}
	
	
	function format_options($value, $options) {
		global $affilo_upgrade;
		$value = parent::format_options($value, $options);
		if (affilo_get_option('disable_updates')) {
			$value['enable_updates'] = $value['check_update'] = false;
		}
		if (isset($value['check_update']) && $value['check_update'] == 'true') {
			$value['enable_updates'] = true;
			$affilo_upgrade->checkForUpdates();
		}
		$value['check_update'] = '';
		unset($value['_check_update']);
		return $value;
	}

}

affilo_register_settings('affilo_upgrade_settings');
?>