<?php
/**
 * Affiliate Redirects
 */

//add redirect hook
add_action('affilo_init', 'affilo_redirect');

/**
 * Handles actual Affiliate redirects
 */
function affilo_redirect() {
    global $wpdb;
   
    $settings = affilo_redirect_settings();
	extract($settings);
    
    if (!isset($_SERVER['REQUEST_URI'])) {
        $request = substr($_SERVER['PHP_SELF'], 1);
        if (isset($_SERVER['QUERY_STRING']) AND $_SERVER['QUERY_STRING'] != '') {
            $request.='?'.$_SERVER['QUERY_STRING'];
        }
    } else {
        $request = $_SERVER['REQUEST_URI'];
    }
    if (isset($_GET['red'])) {
        $request = '/'.$redirectHandle.'/'.$_GET['red'].'/';
    }
    if (strpos('/'.$request, '/'.$redirectHandle.'/') ) {
        $keyCode = explode($redirectHandle.'/', $request);
        $keyCode = $keyCode[1];
        $keyCode = $wpdb->escape(str_replace('/', '', $keyCode));
        
        $row = $wpdb->get_row("SELECT * FROM {$tableName} WHERE keycode = '{$keyCode}'", ARRAY_A);
        if($row['target']){
        	$id = $wpdb->escape($row['id']);
            $update = "UPDATE {$tableName} SET clicks = clicks+1 WHERE id='{$id}'";
            $results = $wpdb->query($update);
            wp_redirect($row['target'], 301);
            exit;
        } else {
            wp_redirect(get_option('siteurl'), 301);
            exit;
        }
    }
}

/**
 * Get Affiliate Redirect settings
 */
function affilo_redirect_settings() {
	global $wpdb;
	
	$tableName = $wpdb->prefix . 'affilliate_redirects';
	$dbVersion = '1.0';
	
	$redirectHandle = get_option("affilo_affiliate_redirects_prefix","go");
	
	$availableHandles = array(
		"go",
		"a",
		"link",
		"ext",
		"recommend",
		"g"
	);
	
	return compact('tableName', 'dbVersion', 'redirectHandle', 'availableHandles');
}
?>