<?php
class CollumnShortcode extends AffiloShortcode {
	
	var $_code = array(
		'one_half',
		'one_third',
		'two_thirds',
		'one_fourth',
		'two_fourths',
		'three_fourths',
		'one_fifth',
		'two_fifths',
		'three_fifths',
		'four_fifths',
		'one_sixth',
		'two_sixths',
		'three_sixths',
		'four_sixths',
		'five_sixths',
		'one_half_last',
		'one_third_last',
		'two_thirds_last',
		'one_fourth_last',
		'two_fourths_last',
		'three_fourths_last',
		'one_fifth_last',
		'two_fifths_last',
		'three_fifths_last',
		'four_fifths_last',
		'one_sixth_last',
		'two_sixths_last',
		'three_sixths_last',
		'four_sixths_last',
		'five_sixths_last'
	);

	function _formatCodeParams() {
		$codes = array();
		foreach ($this->_code as $code) {
			$name = ucwords(str_replace(array('-','_'), ' ', $code . '_collumn'));
			$width = trim(str_replace(array('_', 'last'), ' ', $code));
			$description = "Layout collumn, sets content width to {$width} of the available width";
			if (strpos($code, 'last')) {
				$description.= ' (for last/far right collumn)';
			}
			$format = "[{$code}]content here...[/{$code}]";
			$codes[$code] = compact('name', 'description', 'format', 'example') + array(
				'group' => 'Layout',
				'method' => 'render'
			);
		}
		$this->_code = $codes;
	}
	
	function render($attr, $content = null, $code ) {
		return $this->_collumn($code, $attr, $content);
	}
	
	function _collumn($size, $attr, $content) {
		extract(shortcode_atts(array('class' => ''), $attr));
		$last = strpos($size, '_last') !== false;
		if ($last) {
			$size = str_replace('_last', '', $size);
		}
		$classes = array_filter(array(
			$size,
			$class,
			$last ? 'last' : ''		
		));
		$class = join(' ', $classes);
		$output = '<div class="column ' . $class . '">' . do_shortcode( $content ) . '</div>';
		if ($last) {
			$output .= '<div class="cb"></div>';
		}
		return $output;	
	}
}

?>