<?php
require_once dirname(__FILE__) . '/VideoShortcode.php';

class AudioShortcode extends VideoShortcode {
	
	var $_code = 'audio';
	
	var $_params = array(
		'name' => 'Audio Player',
		'group' => 'Media',
		'description' => 'Embed an audio player for playing mp3 files.',
		'format' => '[audio url="http://www.example.com/audio.mp3"]',
		'reference' => array(
			'url' => 'full url to mp3 file',
			'align' => 'none, left, right',
			'autostart' => 'false, true',
			'width' => 'default 470',
			'controls' => 'true, false'
		)
	);
	
	function render($attr = array(), $content = null){
		$_attr = array('height' => '46');
		$hSet = false;
		if (is_array($attr)) {
			if (isset($attr['height'])) {
				$hSet = true;
			}
			$attr += $_attr;
		} else {
			$attr = $_attr;
		}
		if (isset($attr['controls'])) {
			if ($attr['controls'] == 'true') $attr['controlbar'] = 'bottom';
			if ($attr['controls'] == 'false') {
				$attr['controlbar'] = 'none';
				if (!isset($attr['width'])) {
					$attr['width'] = 80;
				}
				if (!$hSet) {
					$attr['height'] = 80;
				}
			}
			unset($attr['controls']);
		}
		return parent::render($attr, $content);
	}
}

?>