<?php

class VideoShortcode extends AffiloShortcode {
	
	var $_code = 'video';
	
	var $_params = array(
		'name' => 'Video Player',
		'group' => 'Media',
		'description' => 'Embed a video player for playing video files. Supports local video files [flash compatable formats such as mp4, fv4, flv], aswell as videos from Youtube & Vimeo.',
		'format' => '[video url="http://www.example.com/video.mp4"]',
		'reference' => array(
			'url' => 'full url to mp3 file',
			'align' => 'none, left, right',
			'autostart' => 'false, true',
			'width' => 'default 470',
			'height' => 'default 320',
			'controlbar' => 'bottom, top, false',
			'image' => 'url to placeholder image to display before video plays',
			'stretching' => '
				<b>fill</b>: stretch the image/video while maintaining its aspect ratio, completely filling the display			
				<b>none</b>: keep the original dimensions,
				<b>exactfit</b>: disproportionally stretch the video/image to exactly fit the display,
				<b>uniform</b>: stretch the image/video while maintaining its aspect ratio.
			'
		)
	);
	
	function render($atts, $content = null) {
		extract(shortcode_atts(array(
				'name' => '#',
				'url' => '#',
				'image' => '',
				'width' => '470',
				'height' => '320',
				'controlbar' => 'bottom',
				'autostart' => 'false',
				'icons' => 'true',
				'stretching' => 'fill',
				'align' => '',
				'skin' => get_template_directory_uri().'/includes/scripts/mediaplayer/fs39/fs39.xml',
				'html5_1' => '',
				'html5_2' => '',
				'priority' => 'flash'
		), $atts));
		
		if (empty($url)) {
			return '';
		}
		
		if ($controlbar == 'false') {
			$controlbar = 'none';
		} else if ($controlbar == 'true') {
			$controlbar = 'bottom';
		}
		
		if (!empty($content)) {
			$url = $content;
		}
		// Remove spaces from video name
		$video_name = preg_replace('/[^a-zA-Z0-9]/', '', $name);
		// Video Type
		$vimeo = strpos($url, "vimeo.com");
		// Hide HTML5 Video Icons
		$html5_icons = $icons == "false" ? 'hide-icons' : '';
		// Detect MSIE
		$MSIE = (strpos($_SERVER['HTTP_USER_AGENT'],'MSIE') !== FALSE);
	
		ob_start(); ?>
	<script src="<?php echo get_template_directory_uri().'/includes/scripts/mediaplayer/jwplayer.js';?>" type="text/javascript"></script>
	<div class="videod <?php echo $align; ?> <?php echo $html5_icons; ?>">
	
	<?php 
	
	if($vimeo == false) {
		
		if((strpos($url,"youtube.com") OR strpos($url,"youtu.be")) && $priority == "flash") {
			
	?>
	
	<div id="video-<?php echo $video_name; ?>"></div>
	
	<?php 
		
		} else {
		
	?>
	
		<video id="video-<?php echo $video_name; ?>" width="<?php echo $width; ?>" height="<?php echo $height; ?>" controls="controls">
		
		<?php if(strpos($_SERVER['HTTP_USER_AGENT'], 'Safari') !== false OR strpos($_SERVER['HTTP_USER_AGENT'], 'Chrome') !== false) { ?>
		<source src="<?php echo $html5_1; ?>" type="video/mp4" />
		<source src="<?php echo $html5_1; ?>" type="video/webm" />
		<?php } else { ?>
		<source src="<?php echo $html5_2; ?>" type="video/ogg" />
		<?php } ?>
		
		</video>
	
	<?php
		} 
	?>
	
		<script>
		jwplayer("video-<?php echo $video_name; ?>").setup({
			<?php if($MSIE OR $priority == "flash") { ?>file: "<?php echo $url; ?>",<?php } ?>
			<?php if($image) { ?>
			image: "<?php echo get_template_directory_uri(); ?>/includes/scripts/timthumb.php?src=<?php echo $image; ?>&h=<?php echo $height; ?>&w=<?php echo $width; ?>&zc=1",
			<?php } ?>
			icons: "<?php echo $icons; ?>",
			autostart: "<?php echo $autostart; ?>",
			stretching: "<?php echo $stretching; ?>",
			controlbar: "<?php echo $controlbar; ?>",
			skin: "<?php echo $skin; ?>",
			screencolor: "white",
			height: <?php echo $height; ?>,
			width: <?php echo $width; ?>,
			flashplayer: "<?php echo get_template_directory_uri(); ?>/includes/scripts/mediaplayer/player.swf"
		});
		</script>
	
	<?php
	
	} else {
		//vimeo video	
		if($autostart == "false") {
			$autostart = "0";
		} elseif($autostart == "true") {
			$autostart = "1";
		}
	
		// Vimeo Clip ID
		if(preg_match('/www.vimeo/',$url)) {
			$vimeoid = trim($url,'http://www.vimeo.com/');
		} else {
			$vimeoid = trim($url,'http://vimeo.com/');
		}
	
	?>
	<iframe src="http://player.vimeo.com/video/<?php echo $vimeoid; ?>?byline=0&amp;portrait=0&amp;autoplay=<?php echo $autostart; ?>" width="<?php echo $width; ?>" height="<?php echo $height; ?>" frameborder="0"></iframe>
	
	<?php 
		//end vimeo video
		} 
	?>
	
	</div>
	
	<?php
	
	$output_string = ob_get_contents();
	ob_end_clean();
	
	return $output_string;
	
	}
}

?>