<?php
class DateTimeShortcode extends AffiloShortcode {
	
	var $_code = array(
		'date' => array(
			'name' => 'Date',
			'description' => 'Get a formatted representation of a given date.',
			'format' => '[date for="next week" format="long"]',
			'reference' => array(
				'for' => 'String format of the date you wich to obtain, such as basic date like 1st January 1980, or relative periods such as today, yesterday, next month, last year',
				'For a complete list of acceptable time periods you can refer to the PHP documentation here' => '<a href="http://www.php.net/manual/en/datetime.formats.php">Date & Time Formats</a>',
				'format' => 'The format to output the time in, this can either be one of standard, short, long or a custom date format.',
				'For a complete list of date and time formaters you can refer to the PHP documentation here.' => '<a href="http://php.net/manual/en/function.date.php">Date Formatters</a>',
			)
		),
		'today' => array(
			'name' => 'Todays Date',
			'description' => 'Get a formatted representation of today\'s date.',
			'format' => '[today]',
			'reference' => array(
				'format' => 'see \'Date\'.'
			)
		),
		'tomorrow' => array(
			'name' => 'Tomorrows Date',
			'description' => 'Get a formatted representation of tomorrow\'s date.',
			'format' => '[tomorrow]',
			'reference' => array(
				'format' => 'see \'Date\'.'
			)
		),
		'yesterday' => array(
			'name' => 'Yesterdays Date',
			'description' => 'Get a formatted representation of yesterday\'s date.',
			'format' => '[yesterday]',
			'reference' => array(
				'format' => 'see \'Date\'.'
			)
		),
		'published' => array(
			'name' => 'Published Date',
			'description' => 'Get a formatted representation of the posts publishing date.',
			'format' => '[published]',
			'reference' => array(
				'format' => 'see \'Date\'.'
			)
		)
	);
	
	var $_formats = array(
		'standard' => 'jS F Y',
		'short' => 'Y-m-d',
		'long' => 'l jS \of F Y'
	);


	function date($atts, $content = null) {
		extract(shortcode_atts( array(
			'for' => 'today',
			'format' => 'standard',
		), $atts));
		if (isset($this->_formats[$format])) {
			$format = $this->_formats[$format];
		}
		return date($format, strtotime($for));
	}
	
	function today($atts, $content = null) {
		return $this->date($atts);
	}

	function tomorrow($atts, $content = null) {
		$atts['for'] = 'tomorrow';
		return $this->date($atts);
	}

	function yesterday($atts, $content = null) {
		$atts['for'] = 'yesterday';
		return $this->date($atts);
	}
	
	function published($atts = array(), $content = null) {
		return $this->date(array("for" => get_the_time('r')));
	}
	
}