<?php

/** this class will eventually handle tinymce editor field population and define the api **/

class AffiloShortcode {
	
	var $_code;
	
	var $_params = array();
	
	var $_initialized = false;
	
	var $_attr = array();
	
	static function instance($class = null) {
		static $_instances = array();
		if (!isset($class)) {
			return array_keys($_instances);
		}
		if (!in_array($class, $_instances)) {
			$_instances[$class] = new $class();
			$_instances[$class]->__init();
		}
		return $_instances[$class];
		
	}
	
	function __init() {
		if ($this->_initialized) {
			return;
		}
		if (defined('WP_ADMIN') && WP_ADMIN) {
			$this->_formatCodeParams();
		}
		$this->_initialized = true;
		if (is_array($this->_code)) {
			foreach ($this->_code as $code => $params) {
				if (is_int($code)) {
					$method = $code = $params;
					$params = array();
				} else {
					if (!is_array($params)) {
						$method = $params;
						$params = array();
					} else {
						$method = isset($params['method']) ? $params['method'] : $code;
					}
				}
				if (method_exists($this, $method)) {
					affilo_register_shortcode($code, array($this, $method), $params);
				} else {
					affilo_register_shortcode($code, array($this, 'render'), $params);
				}
			}
		} else {
			if($this->_code) {
				affilo_register_shortcode($this->_code, array($this, 'render'), $this->_params);
			}	
		}
	}
	
	/**
	 * Define in subclasses to setup code meta info at runtime
	 */
	function _formatCodeParams() {}
	
	/**
	 * Default render method for single codes
	 */
	function render($attr = array(), $content = null, $code = '') {
		return "<!-- {$this->_code} -->";
	}
	
	/**
	 * Getter for all the shortcodes defined by this class.
	 */
	function codes() {
		return is_array($this->_code) ? array_keys($this->_code) : array($this->code);
	}
	
	/**
	 * Get attributes keys & defaults for shortcode
	 * 
	 * @param string $code
	 */
	function attributes($code = null) {}
}