<?php

class FacebookShortcode extends AffiloShortcode {
	
	var $_code = array(
		'fb-like' => array(
			'method' => 'like',
			'group' => 'Social',
			'name' => 'Facebook Like Widget',
			'description' => 'The Facebook Like Widget lets a user share your content with friends on Facebook.',
			'format' => '[fb-like]',
			'reference' => array(
				"layout" => "
					<b>standard</b>: displays social text to the right of the button and friends' profile photos below. Minimum width: 225 pixels. Minimum increases by 40px if action is 'recommend' by and increases by 60px if send is 'true'. Default width: 450 pixels. Height: 35 pixels (without photos) or 80 pixels (with photos).
					<b>button_count</b>: displays the total number of likes to the right of the button. Minimum width: 90 pixels. Default width: 90 pixels. Height: 20 pixels.
					<b>box_count</b>: displays the total number of likes above the button. Minimum width: 55 pixels. Default width: 55 pixels. Height: 65 pixels.
				",
				"width" => "width of the button - default 450",
				"height" => "height of the button - default 80",
				"show_faces" => "true, false",
				"action" => "the verb to display on the button -'like', 'recommend'",
				"colorscheme" => "light, dark",
				"font" => "arial, lucida grande, segoe ui, tahoma, trebuchet ms, verdana"
			)
		)
	);
	
	function like($attr = array()) {
		global $post;
		
		$url = urlencode(get_permalink($post->ID));
		
		$defaults = array(
			"layout" => "standard",
			"width" => "450",
			"show_faces" => "true",
			"action" => "like",
			"colorscheme" => "light",
			"height" => "80",
			"font" => ""
		);
		
		$attr = array_merge((array)$attr, $defaults);
		extract($attr);
		return <<<HTML
<iframe src="//www.facebook.com/plugins/like.php?href={$url}&amp;send=false&amp;layout={$layout}&amp;width={$width}&amp;show_faces={$show_faces}&amp;action={$action}&amp;colorscheme={$colorscheme}&amp;font={$font}&amp;height={$height}&amp;appId=116571678448067" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:{$width}px; height:{$height}px;" allowTransparency="true"></iframe>
HTML;
		
	}
	
	
}