<?php

class GooglePlusShortcode extends AffiloShortcode {
	
	var $_code = "google-plus";
	
	var $_params = array(
		'group' => 'Social',
		'name' => 'Google Plus One Widget',
		'description' => 'The Google Plus One Widget lets visitors recommend your content on Google Search and share it on Google+',
		'format' => '[google-plus]',
		'reference' => array(
			"size" => "standard, small, medium, tall",
			"annotation" => "bubble, inline, none",
			"lang" => "en-US"
		)
	);
		
	function render($attr = array()) {
		global $post;
		
		$url = urlencode(get_permalink($post->ID));
		
		$defaults = array(
			"size" => "standard",
			"annotation" => "bubble",
			"lang" => "en-US"
		);
		
		$attr = array_merge((array)$attr, $defaults);
		extract($attr);
		return <<<HTML
<g:plusone size="{$size}" annotation="{$annotation}"></g:plusone>
<script type="text/javascript">
  window.___gcfg = {lang: '{$lang}'};
  (function() {
    var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
    po.src = 'https://apis.google.com/js/plusone.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
  })();
</script>
HTML;
		
	}
	
	
}