<?php

class TweetShortcode extends AffiloShortcode {
	
	var $_code = "tweet";
	
	var $_params = array(
			'group' => 'Social',
			'name' => 'Twitter Share Widget',
			'description' => 'The Twitter Share Widget adds buttons to help your visitors share content and connect with you on Twitter.',
			'format' => '[tweet]',
			'reference' => array(
				'size' => 'standard, large',
				"layout" => "count, horizontal",
				"language" => "en"
			)
	);
	
	function render($attr = array()) {
		global $post;
		
		$url = urlencode(get_permalink($post->ID));
		
		$defaults = array(
			'size' => '',
			"layout" => "horizontal",
			"language" => "en"
		);
		
		$attr = array_merge((array)$attr, $defaults);
		if ($attr['size'] == 'large') {
			$attr['size'] = 'data-size="large"';
		} else {
			$attr['size'] = '';
		}
		if ($attr['layout'] == 'horizontal') {
			$attr['layout'] = 'data-count="none"';
		} else {
			$attr['layout'] = '';
		}
		extract($attr);
		return <<<HTML
<a href="https://twitter.com/share" class="twitter-share-button" data-url="{$url}" {$layout} data-lang="{$lang}" {$size}>Tweet</a>
<script type="text/javascript" src="//platform.twitter.com/widgets.js"></script>
HTML;
		
	}
	
}