<?php
class ConstantContactSignup extends AffiloSignup {
	
	var $_url = 'http://www.constantcontact.com';
	
	var $_fields = array(
		'unique_id' => array(
			'label' => 'Unique ID',
			'desc' => '',
		),
		'instructions' => array(
			'type' => 'intro',
			'label' => 'How to get your Unique ID:',
			'desc' => '
				<ol>
					<li>Sign in to Constant Contact account. Don’t have Constant Contact? <a href="http://snurl.com/as4af" target="_blank">Try a 60 day free trial</a>, then you can use this signup form.</li>
					<li>Go to the "Contacts" tab, then click on "Grow My Contact List" in the subnavigation</li>
					<li>Under the heading "1. Get New Contacts", click "Create a link"</li>
					<li>At the bottom of this page is the heading "Need a quick link to your signup form?" with a form field containing a link</li>
					<li>Your Unique ID can be found by looking for <code>&amp;=1234567654321</code> in this link, where <code>1234567654321</code> 
					is the code you want to enter above.</li>
				</ol>
			'
		)
	);
	
	function _template() {
		$form = array(
			'service_url' => 'http://visitor.constantcontact.com/d.jsp',
			'name_field' => 'name',
			'email_field' => 'ea',
			'submit_field' => 'go',
			'custom_fields' => '
				<input type="hidden" name="m" id="m" value="{:list.unique_id}">
				<input type="hidden" name="p" id="p" value="oi">
			'
		);
		return $this->_render($this->_templateDefault(), compact('form'));
	}
}

?>