<?php
	// Accessing the DOCUMENT_ROOT is unreliabled on many shared hosts
	// Invalid or missing values are often the result
	$root_folder = dirname(dirname(dirname(dirname(dirname(dirname(__FILE__))))));
	// I expect this to fail, but it's in place incase we decrease the folder level of the theme
	if (!file_exists($root_folder.'/wp-load.php')) {
		$root_folder = dirname($root_folder);
	}
	require_once($root_folder.'/wp-load.php');
	require_once($root_folder.'/wp-admin/includes/admin.php');
	
	do_action('admin_init');
	if ( !(is_user_logged_in()  && current_user_can( 'edit_posts' ) && current_user_can( 'edit_pages' )))
		exit;		
?>
(function($) {
	tinymce.create('tinymce.plugins.Shortcodes', {
		init : function(ed, url) {},
		createControl : function(n, cm) {
			if(n=='Shortcodes'){
                // creates the button
                var button = cm.createButton('ShortcodesButton', {
                    title : 'Shortcodes', // title of the button
                    image: '<?php echo get_template_directory_uri(); ?>/images/affilo_shortcode_icon.png',
                    onclick : function() {
                    	affilo_shortcode_view(function(content){
                    		var selection = tinyMCE.activeEditor.selection.getContent();
							var insert = selection + content;
							if (selection != '' && content.indexOf('content here...') > -1) {
								insert = content.replace('content here...', selection)
							}
							tinyMCE.activeEditor.selection.setContent(insert);
                    	});
                    }
                });
                return button;
            }
            return null;
		},
		getInfo : function() {
			return {
				longname : 'AffiloTheme Shortcode Selector',
				version : "0.1"
			};
		}
	});

	// Register plugin
	tinymce.PluginManager.add('Shortcodes', tinymce.plugins.Shortcodes);
})(jQuery);