(function($) {
	
	var toggleTypedContent = function(type){
		$('.sqz-layout-group').hide();		
		var display = $('#sqz-layouts-' + type);
		loadLayoutImages(display.find('a.sqz-screenshot-src'));
		display.show();		
		$('#theme-popover-meta-box').hide();
		
		switch (true) {
			case type == 'squeeze':
				$('#affilo-sqz-slug, #edit-slug-box').show();
				$('#theme-popover-meta-box').show();
				$('#theme-signup-shortcode-meta-box').hide();
			break;
			
			case type == 'sidebar':
				$('#affilo-sqz-slug, #edit-slug-box').hide();
				$('#theme-signup-shortcode-meta-box').show();
			break;
			
			case type == 'feature':
				$('#affilo-sqz-slug, #edit-slug-box').hide();
				$('#theme-signup-shortcode-meta-box').show();
			break;
			
			case type == 'full_feature':
				$('#affilo-sqz-slug, #edit-slug-box').hide();
				$('#theme-popover-meta-box').show();
				$('#theme-signup-shortcode-meta-box').show();
			break;
		}
		
		var layout = $('#sqz-layouts-' + type + ' input:checked').val();
		toggleLayoutContent(type, layout);
	}
	
	var toggleLayoutContent = function(type, layout){
		$('.sqz-variations').hide();
		$('.sqz-variations-' + type).hide();
		
		var display = $('#sqz-variations-' + type + '-' + layout);
		loadLayoutImages(display.find('a.sqz-screenshot-src'));
		
		$('#sqz-variations-' + type).show();
		$('#sqz-variations-' + type + '-' + layout).show();
		
		$('.sqz-content').hide();
		$('.sqz-content-' + type).hide();
		$('#sqz-content-' + type).show();
		$('#sqz-content-' + type + '-' + layout).show();
	}
	
	var loadLayoutImages = function(lazyImages) {
		if (lazyImages.length < 1) return;
		var created = $();
		lazyImages.each(function(i, a){
			var img = $(document.createElement('img'));
			img.attr({
				width: 150,
				alt: $(a).attr('title'),
				src: $(a).attr('href'),
				'data-src': $(a).attr('rel')
			});
			$(a).replaceWith(img);
			created.add(img);
		});
		activateScreenshots(created);
	}
	
	//screenshots
	var fsid = 0;
	function showScreenshot() {
		if($(this).data('over')) {
			var sid = $(this).data('sid') || ++fsid;
			var src = $(this).attr('data-src');
			var fullscreen = $('img.sqz-full-schreenshot#sqz-full-' + sid);
			if (fullscreen.length == 0) {
				$(this).data('sid', sid);
				fullscreen = $(document.createElement('img'));
				fullscreen.addClass('sqz-full-schreenshot');
				fullscreen.css('display', 'none');
				fullscreen.attr('id', 'sqz-full-' + sid);
				fullscreen.attr('src', src);
				$(document.body).append(fullscreen);
				var self = $(this);
				fullscreen.bind({
					click: function(){
						self.prev('input').click();
					},
					mouseenter: function(){
						self.data('over-full', true);
					},
					mouseleave: function(){
						self.data('over-full', false);
						clearTimeout(self.data('timer'));
						var hide = $.proxy(hideScreenshot, self);
						hide();
					}
				});
			}
			var pos = $(this).offset();
			fullscreen.css('left', (pos.left - 20) + 'px');
			fullscreen.css('top', (pos.top - 20) + 'px');
			fullscreen.show();
		}
	}
	
	function hideScreenshot(){
		if (!$(this).data('over') && !$(this).data('over-full')) {
			var src = $(this).attr('data-src');
			var fullscreen = $('img.sqz-full-schreenshot[src='+src+']');
			if (fullscreen.length > 0) {
				fullscreen.hide();
			}
		}
	}
	
	function activateScreenshots(elements) {
		elements.bind({
			mouseenter: function(){
				$(this).data('over', true);
				$(this).data('timer', setTimeout($.proxy(showScreenshot, this), 800));
			},
			mouseleave: function(){
				$(this).data('over', false);
				clearTimeout($(this).data('timer'));
				var hide = $.proxy(hideScreenshot, this);
				setTimeout(hide, 500);
			}
		});
	}
	
	$(document).ready(function(){
		//creating vs. editing
		var create = !ife('#affilo-type-created');
		
		//update the pagettitle based on created type
		if (!create) {
			$('#icon-edit.icon32-posts-sqz-page+h2').html($('#icon-edit.icon32-posts-sqz-page+h2').html().replace('Edit', 'Edit ' + $('#affilo-type-created').val()));
			$('#affilo-sqz-type .inner').hide();
		} else {
			$('#affilo-slug-box').show();
			var checkSqzTitle = function(){
				if($.trim($('#title').val()) == '') {
					if ($('#submitdiv').find('.sqztitleoverlay').length < 1) {
						$('#submitdiv').append($(document.createElement('div')).css({
							position:'absolute',
							top:0,
							height:'100%',
							width:'100%',
							background:'#FFF',
							opacity:'0.5'
						}).addClass('sqztitleoverlay').attr('title', 'You must enter a title to save.'));
					}
				} else {
					$('#submitdiv').find('.sqztitleoverlay').remove();
				}
			}
			checkSqzTitle();
			setInterval(checkSqzTitle, 1000);
		}
		
		//move the type section up into the page title
		$('#titlediv').append($('#affilo-sqz-type').show());
		
		//move the slug box down into the edit slug field
		$('#affilo-sqz-slug').append($('#edit-slug-box'));
		
		//init sorter sizing
		container_resize();
		
		toggleTypedContent($('#affilo-type').val());	
		
		var checked = $('div.scrollingContainer:visible input[checked]');
		if(checked.length > 0) {
			checked.each(function(i, ele){
				var li = $(ele).parent().parent().parent();
				var pos = li.position();
				var scrollAmount = li.outerWidth() * 2;
				var scrollDiv = li.parent().parent();
				var width = scrollDiv.width();
				if (pos.left > width - li.outerWidth()) {
					scrollDiv.stop().animate({ scrollLeft: pos.left - 60 }, 280);
				}
			});
		}
		
		if (create) {
			$('#affilo-type').change(function(){
				toggleTypedContent($(this).val());
			});
		}
		
		$('.sqz-layout-select').click(function(){
			toggleLayoutContent($('#affilo-type').val(), $(this).val());
		});
		
		$('.affilo_signups_provider').hide();
		var providerChange = function(provider, fast){
			if (fast) {
				$('.affilo_signups_provider:visible').hide();
				$('#' + provider).show();
			} else {
				$('.affilo_signups_provider:visible').slideUp(300);
				$('#' + provider).slideDown(300);
			}
		};
		
		providerChange($('#affilo-provider-name').val(), true);
		
		$('#affilo-provider-name').change(function(){
			providerChange($(this).val());
		});
		
		//Scrolling content options

		// sortable container resize
		function container_resize() {
			$.each(['#affilo_sqz_page_layout_options', '#affilo_sqz_page_variation_options'], function( index, obj ) {
				var sortable = $('ul.connectedSortable', obj);
				sortable.each(function(i, sort){
					$(sort).outerWidth( ($('li.affilo_item', sort).length + .25) * 180);
					$('div.scrollingHotSpotLeft, div.scrollingHotSpotRight', sort).outerHeight( $(sort).outerHeight());
				});
			});
			checkScrollPos();
		}
		
		// sortable list scrolling
		var interval_id = 0;
		$('div.scrollingHotSpotLeft, div.scrollingHotSpotRight').mouseenter(function() {
			var scrollDiv = $(this).parent();
			var scrollAmount = $('li.affilo_item:first', scrollDiv).outerWidth() * 2;
			scrollAmount *= ($(this).attr('class') == 'scrollingHotSpotLeft' ? -1 : 1);
				
			if( interval_id == 0 ) {
				interval_id = setInterval(function() {
					scrollDiv.stop().animate({ scrollLeft: scrollDiv.scrollLeft() + scrollAmount }, 280);
				}, 400);									
			}
		});
		$('div.scrollingHotSpotLeft, div.scrollingHotSpotRight').mouseleave(function() {
			if( interval_id != 0 ) {
				clearInterval(interval_id);
				interval_id = 0;
			}
		});
		$('div.scrollingContainer').scroll(function() {
			checkScrollPos();
		});
		function checkScrollPos() {
			$('div.scrollingContainer').each(function() {
				var scrollLeft = $(this).scrollLeft();
				var left = $('div.scrollingHotSpotLeft', this);
				var right = $('div.scrollingHotSpotRight', this);
				var sortableW = $('ul.connectedSortable', this).outerWidth();
				var containerW = $(this).outerWidth();
				
				if( sortableW > containerW ) {
					if( scrollLeft == 0 )
						left.fadeOut('slow');
					else
						left.fadeIn('slow');
					
					if( scrollLeft == (sortableW - containerW) )
						right.fadeOut('slow');
					else
						right.fadeIn('slow');						
				} else {
					left.fadeOut('slow');
					right.fadeOut('slow');
				}
			});
		}
		
		//popover handling
		$('#affilo-popover-enabled').click(function(e){
			if ($(this).attr('checked')) {
				activatePopovers();
				$('#popoverOptions').show();
			} else {
				$('#popoverOptions').hide();
			}
		});
		
		if (typeof popoverLocations == 'undefined') {
			popoverLocations = [];
		}
		
		var transfromPageLi = function(i, li){
			var label = $.trim($(li).find('a').first().text());
			var clas = $(li).attr('class').split(' ');
			var id = null;
			$.each(clas, function(i, cl){
				if (id) return;
				var match = cl.match(/-(\d+)$/);
				if (match) {
					id = parseInt(match[1]);
				}
			});
			var checked = $.inArray(id, popoverLocations) > -1 ? 'checked="checked"' : '';
			var html = '<label class="menu-item-title"><input type="checkbox" class="menu-item-checkbox" name="affilo[popover][locations][]" value="'+id+'" '+checked+'>'+label+'</label>';
			if ($(li).find('ul').length > 0) {
				html+= '<ul class="children">' + $(li).find('ul').html() + '</ul>';
			}
			$(li).html(html);
			$(li).find('li').each(transfromPageLi);
		};
		
		var locationSelector = function(all){
			var active = $('#popoverLocationTabs').find('.tabs-panel-active');
			active.find('input[type=checkbox]').prop('checked', all);
		};
		$('#popover-location-all').click(function(e){
			e.preventDefault();
			locationSelector(true);
		});
		$('#popover-location-none').click(function(e){
			e.preventDefault();
			locationSelector(false);
		});
		
		
		var switchMode  = function(){
			var mode = $('#affilo-popover-mode').val();
			if (mode == 'exit') {
				$('#popoverDisplayLoad').hide();
				$('#popoverDisplayExit').show();
			} else {
				$('#popoverDisplayExit').hide();
				$('#popoverDisplayLoad').show();
			}
		};
		
		var switchFreq = function() {
			var mode = $('#affilo-popover-limit').val();
			if (mode == 'none') {
				$('#popoverFreqDefined').hide();
			} else {
				$('#popoverFreqDefined').show();
			}
		};
		
		var switchOverlay = function() {
			if ($('#affilo-popover-overlay:checked').length > 0) {
				$('#popoverOverly').show();
			} else {
				$('#popoverOverly').hide();
			}
		};
		
		
		var activatedPopovers = false;
		var activatePopovers = function(){
			if (activatedPopovers) {
				return;
			}
			activatedPopovers = true;
			$('#popoverLocationTabs a').click(function(e){
				e.preventDefault();
				var target = $(this).attr('href');
				$('#popoverLocationTabs .tabs-panel').not(target).removeClass('tabs-panel-active').addClass('tabs-panel-inactive');
				$(target).removeClass('tabs-panel-inactive').addClass('tabs-panel-active');
			});
			$('.popover-locations li').each(transfromPageLi);
			$('#affilo-popover-mode').change(switchMode);
			$('#affilo-popover-limit').change(switchFreq);
			$('#affilo-popover-overlay').click(switchOverlay);
			switchMode();
			switchFreq();
			switchOverlay();
		};
		
		if ($('#affilo-popover-enabled:checked').length > 0) {
			activatePopovers();
		}
		
		if (ife('.font-select')) {
			var proxyFont = function(){
				var id = $(this).attr('id');
				var _id = '#' + id.replace('-family', '_family');
				if (ife(_id)) {
					$(_id).val($(this).val());
				}
			};
			$('.font-select').each(function(i, input){
				var id = $(input).attr('id');
				var _id = '#' + id.replace('-family', '_family');
				if (ife(_id)) {
					$(input).val($(_id).val());
					$(input).bind({
						blur:proxyFont,
						fontSelect:proxyFont
					});
				}
			});
		}
	});
				
})(jQuery);