<?php

$config = array(
	'default' => array(
		'name' => '', // Name of the layout - overide in all
		'fields' => array(
			'headline' => array(
				'type' => 'text', 'size' => 'large', 'default' => 'This is a headline!',
				'after' => array('headline_color' => array('type' => 'color', 'inline' => true))
			),
			'content' => array(
				'type' => 'wysiwyg', 'default' => 'This is text which you can edit to suit. It\'s designed to help entice visitors to sign up and you can change it.', 
				'after' => array(
					'content_font_family' => array('type' => 'hidden'),
					'content_font' => array('type' => 'font', 'extras' => array(false, 'family' => 'Custom Font')),
					'content_family_intro' => array('type' => 'info', 'desc' => 'Overide the default font used for your content.')
				)
			),
			'image' => array('type' => 'upload', 'desc' => 'Images are resized to best fit your form, as a guide images uploaded shouldn\'t be any larger than 400x300pixels.<br/>We recommend using PNG images with transparent background'),
			'form_title' => array(
				'type' => 'text', 'size' => 'large', 'default' => 'Subscribe now!',
				'after' => array('form_title_color' => array('type' => 'color', 'inline' => true))
			),
			'name_field_label' => array('type' => 'text', 'size' => 'small', 'default' => 'Your name'),
			'email_field_label' => array('type' => 'text', 'size' => 'small', 'default' => 'Your email'),
                        'width_field_label' => array('type' => 'text', 'size' => 'small', 'default' => '400', 'desc'=> 'Please Add width in pixel and it should be in numbers only. Characters are not allowed.'),
			'button_text' => array('type' => 'text', 'size' => 'medium', 'default' => 'Subscribe')
		), // Scaffold field definitions defaults - overide only as required
		'variations' => array(), //Key value pairs of file keys & variation names - overide in all
		'styles' => array('headline_color' => array('color', 'headline'), 'form_title_color' => array('color', 'form_title'), 'content_font_family' => array('family', 'p.sqz-field-content'))
	),
	'stamp' =>
    array (
      'name' => 'Stamp',
      'fields' =>
      array (
        0 => 'default',
        'image' =>
        array (
          'default' => SQZ_TEMPLATE_URL . '/stamp/images/bg-icon-small.png',
        ),
      ),
		'styles'=>'default',
		'variations' =>
      array (
        2 => '1-2',
        4 => '1-4',
        3 => '1-3',
        5 => '1-5',
        'default' => '1',
        1 => '1-1',
      ),
    ),
	'basket' =>
    array (
      'name' => 'Basket',
      'fields' =>
      array (
        0 => 'default',
        'image' =>
        array (
          'default' => SQZ_TEMPLATE_URL . '/basket/images/bg-icon-small.png',
        ),
      ),
		'styles'=>'default',
		'variations' =>
      array (
        3 => '6-3',
        'default' => '6',
        5 => '6-5',
        1 => '6-1',
        4 => '6-4',
        2 => '6-2',
      ),
    ),
    'camera' =>
    array (
      'name' => 'Camera',
      'fields' =>
      array (
        0 => 'default',
        'image' =>
        array (
          'default' => SQZ_TEMPLATE_URL . '/camera/images/bg-icon-small.png',
        ),
      ),
		'styles'=>'default',
		'variations' =>
      array (
        3 => '3-3',
        5 => '3-5',
        'default' => '3',
        2 => '3-2',
        4 => '3-4',
        1 => '3-1',
      ),
    ),
    'camera2' =>
    array (
      'name' => 'Camera2',
      'fields' =>
      array (
        0 => 'default',
        'image' =>
        array (
          'default' => SQZ_TEMPLATE_URL . '/camera2/images/bg-icon-small.png',
        ),
      ),
		'styles'=>'default',
		'variations' =>
      array (
        1 => '5-1',
        5 => '5-5',
        4 => '5-4',
        2 => '5-2',
        'default' => '5',
        3 => '5-3',
      ),
    ),
    'camera3' =>
    array (
      'name' => 'Camera3',
      'fields' =>
      array (
        0 => 'default',
        'image' =>
        array (
          'default' => SQZ_TEMPLATE_URL . '/camera3/images/bg-icon-small.png',
        ),
      ),
		'styles'=>'default',
		'variations' =>
      array (
        2 => '7-2',
        4 => '7-4',
        'default' => '7',
        3 => '7-3',
        5 => '7-5',
        1 => '7-1',
      ),
    ),
    'camera4' =>
    array (
      'name' => 'Camera4',
      'fields' =>
      array (
        0 => 'default',
        'image' =>
        array (
          'default' => SQZ_TEMPLATE_URL . '/camera4/images/bg-icon-small.png',
        ),
      ),
		'styles'=>'default',
		'variations' =>
      array (
        4 => '12-4',
        2 => '12-2',
        1 => '12-1',
        'default' => '12',
        3 => '12-3',
        5 => '12-5',
      ),
    ),
    'camera5' =>
    array (
      'name' => 'Camera5',
      'fields' =>
      array (
        0 => 'default',
        'image' =>
        array (
          'default' => SQZ_TEMPLATE_URL . '/camera5/images/bg-icon-small.png',
        ),
      ),
		'styles'=>'default',
		'variations' =>
      array (
        5 => '16-5',
        4 => '16-4',
        2 => '16-2',
        'default' => '16',
        1 => '16-1',
        3 => '16-3',
      ),
    ),
     'screen' =>
    array (
      'name' => 'Screen',
      'fields' =>
      array (
        0 => 'default',
        'image' =>
        array (
          'default' => SQZ_TEMPLATE_URL . '/screen/images/bg-icon-small.png',
        ),
      ),
		'styles'=>'default',
		'variations' =>
      array (
        1 => '9-1',
        3 => '9-3',
        2 => '9-2',
        5 => '9-5',
        4 => '9-4',
        'default' => '9',
      ),
    ),
    'screen2' =>
    array (
      'name' => 'Screen2',
      'fields' =>
      array (
        0 => 'default',
        'image' =>
        array (
          'default' => SQZ_TEMPLATE_URL . '/screen2/images/bg-icon-small.png',
        ),
      ),
		'styles'=>'default',
		'variations' =>
      array (
        'default' => '10',
        5 => '10-5',
        2 => '10-2',
        1 => '10-1',
        4 => '10-4',
        3 => '10-3',
      ),
    ),
    'screen3' =>
    array (
      'name' => 'Screen3',
      'fields' =>
      array (
        0 => 'default',
        'image' =>
        array (
          'default' => SQZ_TEMPLATE_URL . '/screen3/images/bg-icon-small.png',
        ),
      ),
		'styles'=>'default',
		'variations' =>
      array (
        4 => '13-4',
        1 => '13-1',
        'default' => '13',
        3 => '13-3',
        2 => '13-2',
        5 => '13-5',
      ),
    ),
    'screen4' =>
    array (
      'name' => 'Screen4',
      'fields' =>
      array (
        0 => 'default',
        'image' =>
        array (
          'default' => SQZ_TEMPLATE_URL . '/screen4/images/bg-icon-small.png',
        ),
      ),
		'styles'=>'default',
		'variations' =>
      array (
        3 => '14-3',
        2 => '14-2',
        4 => '14-4',
        1 => '14-1',
        'default' => '14',
        5 => '14-5',
      ),
    ),
    'speaker' =>
    array (
      'name' => 'Speaker',
      'fields' =>
      array (
        0 => 'default',
        'image' =>
        array (
          'default' => SQZ_TEMPLATE_URL . '/speaker/images/bg-icon-small.png',
        ),
      ),
		'styles'=>'default',
		'variations' =>
      array (
        5 => '11-5',
        4 => '11-4',
        2 => '11-2',
        'default' => '11',
        3 => '11-3',
        1 => '11-1',
      ),
    ),
    'speaker2' =>
    array (
      'name' => 'Speaker2',
      'fields' =>
      array (
        0 => 'default',
        'image' =>
        array (
          'default' => SQZ_TEMPLATE_URL . '/speaker2/images/bg-icon-small.png',
        ),
      ),
		'styles'=>'default',
		'variations' =>
      array (
        5 => '15-5',
        2 => '15-2',
        3 => '15-3',
        'default' => '15',
        1 => '15-1',
        4 => '15-4',
      ),
    ),
    'writing' =>
    array (
      'name' => 'Writing',
      'fields' =>
      array (
        0 => 'default',
        'image' =>
        array (
          'default' => SQZ_TEMPLATE_URL . '/writing/images/bg-icon-small.png',
        ),
      ),
		'styles'=>'default',
		'variations' =>
      array (
        4 => '2-4',
        3 => '2-3',
        2 => '2-2',
        5 => '2-5',
        1 => '2-1',
        'default' => '2',
      ),
    ),
    'writing2' =>
    array (
      'name' => 'Writing2',
      'fields' =>
      array (
        0 => 'default',
        'image' =>
        array (
          'default' => SQZ_TEMPLATE_URL . '/writing2/images/bg-icon-small.png',
        ),
      ),
		'styles'=>'default',
		'variations' =>
      array (
        'default' => '4',
        4 => '4-4',
        3 => '4-3',
        1 => '4-1',
        2 => '4-2',
        5 => '4-5',
      ),
    ),
    'writing3' =>
    array (
      'name' => 'Writing3',
      'fields' =>
      array (
        0 => 'default',
        'image' =>
        array (
          'default' => SQZ_TEMPLATE_URL . '/writing3/images/bg-icon-small.png',
        ),
      ),
		'styles'=>'default',
		'variations' =>
      array (
        3 => '8-3',
        1 => '8-1',
        2 => '8-2',
        4 => '8-4',
        'default' => '8',
        5 => '8-5',
      ),
    ),
);

?>