<?php

$config = array(
	'default' => array(
		'name' => '', // Name of the layout - overide in all
		'fields' => array(
			'headline' => array(
				'type' => 'text', 'size' => 'large', 'default' => 'Subscribe and get extra benefit',
				'after' => array('headline_color' => array('type' => 'color', 'inline' => true))
			),
			'image' => array('type' => 'upload', 'desc' => 'Images are resized to best fit your squeeze page, as a guide images uploaded shouldn\'t be any larger than 800x600pixels.'),
			'content' => array('type' => 'wysiwyg'),
			'form_title' => array(
				'type' => 'text', 'size' => 'large', 'default' => 'Subscribe now!',
				'after' => array('form_title_color' => array('type' => 'color', 'inline' => true))
			),
			'name_field_label' => array('type' => 'text', 'size' => 'medium', 'default' => 'Enter your name'),
			'email_field_label' => array('type' => 'text', 'size' => 'medium', 'default' => 'Enter your email'),
			'button_text' => array('type' => 'text', 'size' => 'medium', 'default' => 'Subscribe')
		), // Scaffold field definitions defaults - overide only as required
		'variations' => array(), //Key value pairs of file keys & variation names - overide in all
		'styles' => array('headline_color' => array('color', 'headline'), 'form_title_color' => array('color', 'form_title'))
	),
	'theme-1' => array(
		'name' => 'theme-1',
		'fields' => array(
			'default',
			'order',
			'headline' => array(
				'default' => 'Lorem ipsum dolor sit amet, consectetur adipisicing elit...'
			),
			'headline_2' => array(
				'type' => 'text',
				'size' => 'large',
				'default' => 'Lorem ipsum dolor sit amet, consectetur adipisicing elit...',
				'after' => array('headline_2_color' => array('type' => 'color', 'inline' => true))
			),
			'image' => array(
				'default' => SQZ_TEMPLATE_URL . '/theme-1/images/header-graphic.png',
			),
			'content' => array(
				'default' => 	'<p><em>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Curabitur vitae justo quis purus porta luctus. Ut a sem eros. Mauris sit amet mi'.
								' eleifend orci tincidunt dapibus. Morbi blandit turpis sed mi tempor et sollicitudin eros malesuada. Morbi luctus elementum cursus. </em></p>'.
								'<ul class="tick">'.
								'<li class="first"><strong>Phasellus vitae augue</strong> <br /> posuere scelerisque. Suspendisse a justo vel dolor adipiscing hendrerit. Nam facilisis sollicitudin ultricies. Nulla facilisi. In feugiat diam massa, vitae consectetur enim. Sed blandit aliquam aliquet. Nulla facilisi. Mauris ut nulla leo, non semper nunc</li >'.
								'<li class="second"><strong>Cras sed orci et magna</strong> <br /> Maecenas a consequat lacus. Aliquam ullamcorper convallis augue, consectetur gravida massa dignissim pretium. Duis venenatis ultrices dignissim. Cras sed orci et magna lobortis semper. Sed convallis lobortis feugiat. </li >'.
            					'<li class="third"><strong>Donec eu justo vitae</strong> <br /> Donec aliquam, nulla vel vestibulum elementum, ligula magna ultricies odio, sit amet egestas magna sapien gravida diam. Pellentesque suscipit augue a felis elementum dictum. Etiam erat dui, convallis sed laoreet eu, varius non erat.</li>'.
								'</ul>'
			),
			'spam_text' => array(
				'type' => 'text', 'size' => 'large', 
				'default' => 'I hate spam as much as you do. Your email address will NEVER be given away to any third parties.',
				'after' => array('spam_text_color' => array('type' => 'color', 'inline' => true))
			)
		),
		'variations' => array(
			'default' => 'Orange',
			'grey' => 'Grey',
			'dark' => 'Dark',
			'blue' => 'Blue',
			'red' => 'Red',
			'green' => 'Green'
		),
		'styles' => array('default', 'headline_2_color' => array('color', 'headline_2'), 'spam_text_color' => array('color', 'spam_text'))
	),
	'theme-1-2' => array(
		'name' => 'theme-1-2',
		'fields' => array(
			'theme-1-3',
			'image' => false,
			'video.width' => array('default' => 480),
			'video.height' => array('default' => 320)
		),
		'variations' => 'theme-1',
		'styles' => 'theme-1'
	),
	'theme-1-3' => array(
		'name' => 'theme-1-3',
		'fields' => array(
			'theme-1',
			'order' => array('headline', 'headline_2', 'image', 'video'),
			'video.url' => array(
				'before' => array('type' => 'col'),
				'after' => array('type' => 'colend'),
				'type' => 'upload',
				'preview' => false,
				'desc' => 'Upload or select a video file, or enter the url to an external video on Youtube or Vimeo.'
			),
			'video.width' => array(
				'before' => array('type' => 'col', 'class' => 'quart'),
				'after' => array('type' => 'colend'),
				'type' => 'text',
				'size' => 'small',
				'desc' => 'Width in pixels',
				'default' => 360,
			),
			'video.height' => array(
				'before' => array('type' => 'col', 'class' => 'quart'),
				'after' => array(array('type' => 'colend'), array('type' => 'clear')),
				'type' => 'text',
				'size' => 'small',
				'desc' => 'Height in pixels',
				'default' => 270,
			),
			'video.image' => array(
				'label' => 'Video placeholder image',
				'before' => array('type' => 'col'),
				'after' => array('type' => 'colend'),
				'type' => 'upload',
			),
			'video.controls' => array(
				'label' => 'Show video controls',
				'before' => array('type' => 'col', 'class' => 'quart'),
				'after' => array('type' => 'colend'),
				'type' => 'select',
				'size' => 'small',
				'align' => 'left',
				'options' => array('top' => 'Above', 'bottom' => 'Below', 'none' => 'No'),
				'default' => 'bottom'
			),
			'video.play' => array(
				'label' => 'Auto play video',
				'before' => array('type' => 'col', 'class' => 'quart'),
				'after' => array(array('type' => 'colend'), array('type' => 'clear')),
				'type' => 'select',
				'size' => 'small',
				'align' => 'left',
				'options' => array('false' => 'No', 'true' => 'Yes'),
				'default' => 'no'
			)			
		),
		'variations' => 'theme-1',
		'styles' => 'theme-1'
	),
	
	'theme-2' => array(
		'name' => 'theme-2',
		'fields' => array(
			'theme-1',
			'image' => array('default' => SQZ_TEMPLATE_URL . '/theme-2/images/header-graphic-2-1.png')
		),
		'variations' => array(
			'default' => 'Grey',
			'blue' => 'Blue',
			'dark' => 'Dark',
			'green' => 'Green',
			'orange' => 'Orange',
			'red' => 'Red'
		),
		'styles' => 'theme-1'
	),
	'theme-2-2' => array(
		'name' => 'theme-2-2',
		'fields' => array(
			'theme-1-3',
			'image' => array('default' => SQZ_TEMPLATE_URL . '/theme-2/images/graphic-2-1-2.png'),
			'video.width' => array('default' => 560),
			'video.height' => array('default' => 315),
		),
		'variations' => 'theme-2',
		'styles' => 'theme-1'
	),
	'theme-2-3' => array(
		'name' => 'theme-2-3',
		'fields' => array(
			'theme-2',
		),
		'variations' => 'theme-2',
		'styles' => 'theme-1'
	),
	'theme-3' => array(
		'name' => 'theme-3',
		'fields' => array(
			'theme-1',
			'image' => array('default' => SQZ_TEMPLATE_URL . '/theme-3/images/h-graphic-3.png'),
		),
		'variations' => array(
			'default' => 'Sky',
			'light' => 'Light',
			'dark' => 'Dark',
			'orange' => 'Orange',
			'red' => 'Red',
			'green' => 'Green'
		),
		'styles' => 'theme-1'
	),
	'theme-3-2' => array(
		'name' => 'theme-3-2',
		'fields' => array(
			'theme-1-3',
			'image' => false,
			'video.width' => array('default' => 560),
			'video.height' => array('default' => 315),
		),
		'variations' => 'theme-3',
		'styles' => 'theme-1'
	),
	'theme-3-3' => array(
		'name' => 'theme-3-3',
		'fields' => array(
			'theme-1-3',
			'image' => false,
			'video.width' => array('default' => 560),
			'video.height' => array('default' => 315),
		),
		'variations' => 'theme-3',
		'styles' => 'theme-1'
	),
	'theme-4' => array(
		'name' => 'theme-4',
		'fields' => array(
			'theme-1',
			'image' => array('default' => SQZ_TEMPLATE_URL . '/theme-4/images/graphic-4-1.png'),
		),
		'variations' => array(
			'default' => 'Red',
			'light' => 'Light',
			'dark' => 'Dark',
			'blue' => 'Blue',
			'brown' => 'Brown',
			'green' => 'Green'
		),
		'styles' => 'theme-1'
	),
	'theme-4-2' => array(
		'name' => 'theme-4-2',
		'fields' => array(
			'theme-1',
			'image' => false,
		),
		'variations' => 'theme-4',
		'styles' => 'theme-1'
	),
	'theme-4-3' => array(
		'name' => 'theme-4-3',
		'fields' => array(
			'theme-1-3',
			'image' => false,
			'video.width' => array('default' => 560),
			'video.height' => array('default' => 315),
		),
		'variations' => 'theme-4',
		'styles' => 'theme-1'
	),
	'theme-5' => array(
		'name' => 'theme-5',
		'fields' => array(
			'theme-1',
			'order' => array('headline', 'headline_2', 'form_title_top', 'spam_text_top', 'image', 'headline_3', 'content'),
			'image' => array('default' => SQZ_TEMPLATE_URL . '/theme-5/images/graphic.png'),
			'headline_3' => array(
				'label' => 'Content Headline',
				'type' => 'text',
				'size' => 'large',
				'default' => 'Lorem ipsum dolor sit amet, consectetur adipisicing elit...',
				'after' => array('headline_3_color' => array('type' => 'color', 'inline' => true))
			),
			'spam_text_top' => array(
				'label' => 'Top Spam Text',
				'type' => 'text', 'size' => 'large', 
				'default' => 'I hate spam as much as you do. Your email address will NEVER be given away to any third parties.',
				'after' => array('spam_text_top_color' => array('type' => 'color', 'inline' => true))
			),
			'form_title_top' => array(
				'label' => 'Top Form Title',
				'type' => 'text', 'size' => 'large', 'default' => 'Subscribe now!',
				'after' => array('form_title_top_color' => array('type' => 'color', 'inline' => true))
			)
		),
		'variations' => array(
			'default' => 'Dark',
			'chocolate' => 'Chocolate',
			'grey' => 'Grey',
			'blue' => 'Blue',
			'royal' => 'Royal',
			'green' => 'Green'
		),
		'styles' => array(
			'theme-1',
			'headline_3_color' => array('color', 'headline_3'),
			'spam_text_top_color' => array('color', 'spam_text_top'),
			'form_title_top_color' => array('color', 'form_title_top')
		)
	),
	'theme-5-2' => array(
		'name' => 'theme-5-2',
		'fields' => array(
			'theme-5,theme-1-2',
			'image' => false,
			'video.width' => array('default' => 480),
			'video.height' => array('default' => 320)
		),
		'variations' => 'theme-5',
		'styles' => 'theme-5'
	),
	'theme-5-3' => array(
		'name' => 'theme-5-3',
		'fields' => array(
			'theme-5,theme-1-3',
			'image' => array('default' => SQZ_TEMPLATE_URL . '/theme-5/images/graphic.png'),
			'video.width' => array('default' => 560),
			'video.height' => array('default' => 315),
		),
		'variations' => 'theme-5',
		'styles' => 'theme-5'
	),
	'theme-6' => array(
		'name' => 'theme-6',
		'fields' => array(
			'theme-1-2',
			'content' => array('default' => '<p>Nam adipiscing laoreet nisi eget eleifend. Vestibulum sollicitudin tellus ac nibah rutrum cursus dapibus turpis fringilla. Sed placerat ultrices velit, id pellentesque lectus mollis nec. </p>'),
			'video.width' => array('default' => 560),
			'video.height' => array('default' => 315),
		),
		'variations' => array(
			'default' => 'Blue',
			'light' => 'Light',
			'grey' => 'Grey',
			'rose' => 'Rose',
			'beige' => 'Beige',
			'mint' => 'Mint'
		),
		'styles' => 'theme-1'
	),
	'theme-6-2' => array(
		'name' => 'theme-6-2',
		'fields' => array(
			'theme-6',
			'content' => array('default' => '<p>Nam adipiscing laoreet nisi eget eleifend. Vestibulum sollicitudin tellus ac nibah rutrum cursus dapibus turpis fringilla. Sed placerat ultrices velit, id pellentesque lectus mollis nec. </p>
            <ul class="tick">
            	<li>Nibah rutrum cursus dapibus turpis fringilla. Sed placerat ultrices velit. Duis ullamcorper leo iaculis elit vestibulum venenatis. Integer sodales lorem non purus gravida malesuada</li>
                <li>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia. dignissim ligula sit amet quam ullamcorpe</li>
                <li>Nibah rutrum cursus dapibus turpis fringilla. Sed placerat ultrices velit. Duis ullamcorper leo iaculis elit vestibulum venenatis. Integer sodales lorem non purus gravida malesuada</li>
            </ul>')
		),
		'variations' => 'theme-6',
		'styles' => 'theme-1'
	),
	'theme-6-3' => array(
		'name' => 'theme-6-3',
		'fields' => array(
			'theme-1',
			'content' => array('default' => '<p>Nam adipiscing laoreet nisi eget eleifend. Vestibulum sollicitudin tellus ac nibah rutrum cursus dapibus turpis fringilla. Sed placerat ultrices velit, id pellentesque lectus mollis nec. </p>
            <ul class="tick">
            	<li>Nibah rutrum cursus dapibus turpis fringilla. Sed placerat ultrices velit. Duis ullamcorper leo iaculis elit vestibulum venenatis. Integer sodales lorem non purus gravida malesuada</li>
                <li>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia. dignissim ligula sit amet quam ullamcorpe</li>
                <li>Nibah rutrum cursus dapibus turpis fringilla. Sed placerat ultrices velit. Duis ullamcorper leo iaculis elit vestibulum venenatis. Integer sodales lorem non purus gravida malesuada</li>
            </ul>'),
			'image' => array('default' => SQZ_TEMPLATE_URL . '/theme-6/images/graphic.png'),
		),
		'variations' => 'theme-6',
		'styles' => 'theme-1'
	),
	'theme-7' => array(
		'name' => 'theme-7',
		'fields' => array(
			'theme-1-2',
			'content' => array('default' => '<p>Nam adipiscing laoreet nisi eget eleifend. Vestibulum sollicitudin tellus ac nibah rutrum cursus dapibus turpis fringilla. Sed placerat ultrices velit, id pellentesque lectus mollis nec. </p>
            <ul class="tick">
            	<li>Nibah rutrum cursus dapibus turpis fringilla. Sed placerat ultrices velit. Duis ullamcorper leo iaculis elit vestibulum venenatis. Integer sodales lorem non purus gravida malesuada</li>
                <li>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia. dignissim ligula sit amet quam ullamcorpe</li>
                <li>Nibah rutrum cursus dapibus turpis fringilla. Sed placerat ultrices velit. Duis ullamcorper leo iaculis elit vestibulum venenatis. Integer sodales lorem non purus gravida malesuada</li>
            </ul>'),
			'video.width' => array('default' => 560),
			'video.height' => array('default' => 315),
		),
		'variations' => array(
			'default' => 'Dark',
			'light' => 'Light',
			'grey' => 'Grey',
			'red' => 'Red',
			'blue' => 'Blue',
			'green' => 'Green'
		),
		'styles' => 'theme-1'
	),
	'theme-7-2' => array(
		'name' => 'theme-7-2',
		'fields' => array(
			'theme-7'
		),
		'variations' => 'theme-7',
		'styles' => 'theme-1'
	),
	'theme-7-3' => array(
		'name' => 'theme-7-3',
		'fields' => array(
			'theme-1',
			'content' => array('default' => '<p>Nam adipiscing laoreet nisi eget eleifend. Vestibulum sollicitudin tellus ac nibah rutrum cursus dapibus turpis fringilla. Sed placerat ultrices velit, id pellentesque lectus mollis nec. </p>
            <ul class="tick">
            	<li>Nibah rutrum cursus dapibus turpis fringilla. Sed placerat ultrices velit. Duis ullamcorper leo iaculis elit vestibulum venenatis. Integer sodales lorem non purus gravida malesuada</li>
                <li>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia. dignissim ligula sit amet quam ullamcorpe</li>
                <li>Nibah rutrum cursus dapibus turpis fringilla. Sed placerat ultrices velit. Duis ullamcorper leo iaculis elit vestibulum venenatis. Integer sodales lorem non purus gravida malesuada</li>
            </ul>'),
			'image' => array('default' => SQZ_TEMPLATE_URL . '/theme-7/images/graphic.png'),
		),
		'variations' => 'theme-7',
		'styles' => 'theme-1'
	),
);

?>