<?php
/**
 * Signup Form Widget
 */
function affilo_signups_widget_init() {
	register_widget('affilo_signups_widget');
}
add_action( 'widgets_init', 'affilo_signups_widget_init', 0 );

class affilo_signups_widget extends WP_Widget {
	
	function affilo_signups_widget() {
		$widget_ops = array(
			'classname'    =>  'affilo_signups_widget',
			'description'  =>  __( "A widget for displaying your Newsletter Sign-up Forms.", "affilo" )
		);
		$this->WP_Widget( 'signup-widget', __('AffiloTheme Sign-up Form', 'affilo'), $widget_ops);
	}

	function form($instance) {
		$defaults = array(
			'signup' => ''
		);
		$instance = wp_parse_args( (array) $instance, $defaults );
		$forms = affilo_signups_form_list();
		$signup = ( isset( $instance['signup'] ) ) ? $instance['signup'] : null;
		
		$id = $this->get_field_id('signup');
		$name = $this->get_field_name('signup');
		$select = affilo_input::render(array(
			'id' => 'signup',
			'type' => 'select',
			'label' => 'Sign-up Form',
			'options' => $forms,
			'value' => $signup
		));
		echo str_replace(array('affilo-signup', 'affilo[signup]'), array($id, $name), $select);
	?>
		<br>
		<p>
			<a href="<?php echo admin_url( 'edit.php?post_type=sqz-page' ); ?>"><?php _e( 'Edit Newsletter Sign-up Forms', 'affilo' ); ?></a>
		</p>
	<?php
	}

	function update($new_instance, $old_instance) {
		$instance = $old_instance;
		$instance['signup'] = strip_tags( $new_instance['signup'] );
		return $instance;
	}

	function widget($args, $instance) {
		extract($args);
		$signup = ( isset( $instance['signup'] ) ) ? $instance['signup'] : false;
		echo $before_widget;
		if ($signup) echo do_shortcode('[signup id="' . $signup . '"]');
		echo $after_widget;
	}
}