<?php 
/**
 * Silo menu widget class
 */

//add_action('widgets_init',create_function('','register_widget("Affilo_Widget_SiloMenu");'));

class Affilo_Widget_SiloMenu extends WP_Widget {
	
	var $options = array(
		'classname' => 'widget_silos',
		'description' => "A list of silo post silos, expanded on current categories posts"
	);

	function __construct() {
		parent::__construct('silos', "Silos", $this->options);
	}

	function widget( $args, $instance ) {
		extract( $args );

		$title = apply_filters('widget_title', empty( $instance['title'] ) ? __( 'Silos' ) : $instance['title'], $instance, $this->id_base);

		echo $before_widget;
		if ( $title )
			echo $before_title . $title . $after_title;
		
		$cats = get_categories();
		
		$current_term_object = get_queried_object();
		
		if($current_term_object->taxonomy == "category") {
			$current_posts = get_posts(array("category"=>$current_term_object->cat_ID));
		}
		?>
		<ul>
		<?php foreach($cats as $cat): $link = get_category_link($cat->cat_ID); ?>
			<li>
				<a href="<?php echo $link; ?>"><?php echo $cat->name; ?></a>
				<?php if($current_term_object->term_id == $cat->term_id): ?>
				<ul>
				<?php foreach($current_posts as $cur_post): ?>
					<li><a href="<?php echo get_permalink($cur_post->ID); ?>"><?php echo $cur_post->post_title; ?></a></li>
				<?php endforeach; ?>
				</ul>
				<?php endif; ?>
			</li>
		<?php endforeach; ?>
		</ul>
		<?php
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		
		return $instance;
	}

	function form( $instance ) {
		//Defaults
		$instance = wp_parse_args( (array) $instance, array( 'title' => '') );
		$title = esc_attr( $instance['title'] );
?>
		<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e( 'Title:' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></p>
<?php
	}

}
