<?php

function affilo_tabbed_load_widget() {
	register_widget('affilo_tabbed_posts');
}
add_action('widgets_init', 'affilo_tabbed_load_widget');

class affilo_tabbed_posts extends WP_Widget {

	/**
	 * Widget setup.
	 */
	function affilo_tabbed_posts() {
        parent::WP_Widget(false, $name = 'AffiloTheme Tabbed Posts');	
	}

	/**
	 * How to display the widget on the screen.
	 */
    function widget($args, $instance) {		
		extract( $args );
        $title = apply_filters('widget_title', $instance['title']);
		/* Before widget (defined by themes). */
		echo $before_widget;?>
		<?php if ( $title ) echo $before_title . $title . $after_title;
		?>
<div class="horiz-tabs">
	<?php echo apply_filters("affilo_widget_tabbed_posts_header", $this->tabbed_posts_header()); ?>
	<div class="tabbed-content">
		<div class="tab-content-glow">
			<div id="recentpoststab-content" class="tab-contents active-content">
				<?php $this->recent_posts(); ?>
			</div><!--recentpoststab-content-->
			
			<div id="popularpoststab-content" class="tab-contents">
				<?php $this->popular_posts(); ?>
			</div><!--recentpoststab-content-->
			
			<div id="commentstab-content" class="tab-contents">
				<?php $this->recent_comments(); ?>
			</div><!--recentpoststab-content-->
		</div><!--tab-content-glow-->
	</div>
</div><!--horiz-tabs-->
<?php echo $after_widget;		
	}
	
	function recent_posts() { ?>
			
			<ul class="tabbed-recent">
				
				<?php	
				$portfolio_gr1 = new WP_Query( array( 'post_type' => 'post', 'posts_per_page' =>4, 'order' => 'DESC'  ) );
				while ( $portfolio_gr1->have_posts() ) : $portfolio_gr1->the_post();
					$image_id = get_post_thumbnail_id();
					$image_url = wp_get_attachment_image_src($image_id,'full', true);
				?>
				<li class="tabbed-section">
					<a class="tabbed-image" href="<?php the_permalink(); ?>"><?php affilo_post_image(50,50); ?></a>
					<a class="tabbed-title" title="Post: <?php the_title(); ?>" href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
					<span class="tabbed-date"><?php the_time('F j, Y') ?></span>
					<span class="tabbed-comment"><?php comments_number('0 comments','1 comment','% comments'); ?></span>
					<div class="clear"></div>
				</li>
				<?php endwhile; ?>
			</ul>	
	
	<?php
	}	
	
	function popular_posts() { ?>
			
			<ul class="tabbed-popular">
				
				<?php	
				$portfolio_gr1 = new WP_Query('orderby=comment_count&posts_per_page=4');
				while ( $portfolio_gr1->have_posts() ) : $portfolio_gr1->the_post();
					$image_id = get_post_thumbnail_id();
					$image_url = wp_get_attachment_image_src($image_id,'full', true);
				?>
				<li class="tabbed-section">
					<a class="tabbed-image" href="<?php the_permalink(); ?>"><?php affilo_post_image(50,50); ?></a>
					<a class="tabbed-title" title="Post: <?php the_title(); ?>" href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
					<span class="tabbed-date"><?php the_time('F j, Y') ?></span>
					<span class="tabbed-comment"><?php comments_number('0 comments','1 comment','% comments'); ?></span>
					<div class="clear"></div>
				</li>
				<?php endwhile; ?>
			</ul>	
	
	<?php }	
	
	function recent_comments() { ?>
			
			<ul class="tabbed-comments">
				
				<?php	
				$comments = get_comments('status=approve&number=4');
				if ($comments) {
					foreach ($comments as $comment) {
				?>
				<li class="tabbed-section">
					<a class="tabbed-image" href="<?php echo get_permalink($comment->comment_post_ID).'#comment-'.$comment->comment_ID ; ?>"><?php echo get_avatar( $comment->comment_author_email, 50); ?></a>
					<a class="tabbed-title" title="Post: <?php the_title(); ?>" href="<?php echo get_permalink($comment->comment_post_ID).'#comment-'.$comment->comment_ID ; ?>"><?php echo wp_html_excerpt( $comment->comment_content, 46 ); ?>...</a>
					<span class="tabbed-date"><?php the_time('F j, Y') ?></span>
					<span class="tabbed-comment">by <?php echo $comment->comment_author; ?></span>
					<div class="clear"></div>
				</li>
				<?php } 
				} ?>
			</ul>	
	
	<?php }
	
	function tabbed_posts_header() {
		return <<<HTML
<div id="recentpoststab" class="single-tab active-tab"><div class="tab-inner-glow"><span class="rec-posts-pre">Recent </span>Posts</div><!--glow--></div>
<div id="popularpoststab" class="single-tab"><div class="tab-inner-glow">Popular<span class="pop-posts-post"> Posts</span></div><!--glow--></div>
<div id="commentstab" class="comment-tab single-tab"><div class="tab-inner-glow">Comments</div><!--glow--></div>
<div class="clear"></div>
HTML;
	} 
	

	function form( $instance ) {
?>
    There are no options for this widget

	<?php
	}
}


?>